searchData={"items":[{"type":"module","title":"GoogleApi.Analytics.V3","doc":"API client metadata for GoogleApi.Analytics.V3.","ref":"GoogleApi.Analytics.V3.html"},{"type":"function","title":"GoogleApi.Analytics.V3.discovery_revision/0","doc":"","ref":"GoogleApi.Analytics.V3.html#discovery_revision/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Api.Data","doc":"API calls for all endpoints tagged `Data`.","ref":"GoogleApi.Analytics.V3.Api.Data.html"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Data.analytics_data_ga_get/7","doc":"Returns Analytics data for a view (profile).","ref":"GoogleApi.Analytics.V3.Api.Data.html#analytics_data_ga_get/7"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Data.analytics_data_ga_get/7","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `ids` (*type:* `String.t`) - Unique table ID for retrieving Analytics data. Table ID is of the form ga:XXXX, where XXXX is the Analytics view (profile) ID.\n*   `start_date` (*type:* `String.t`) - Start date for fetching Analytics data. Requests can specify a start date formatted as YYYY-MM-DD, or as a relative date (e.g., today, yesterday, or 7daysAgo). The default value is 7daysAgo.\n*   `end_date` (*type:* `String.t`) - End date for fetching Analytics data. Request can should specify an end date formatted as YYYY-MM-DD, or as a relative date (e.g., today, yesterday, or 7daysAgo). The default value is yesterday.\n*   `metrics` (*type:* `String.t`) - A comma-separated list of Analytics metrics. E.g., 'ga:sessions,ga:pageviews'. At least one metric must be specified.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:dimensions` (*type:* `String.t`) - A comma-separated list of Analytics dimensions. E.g., 'ga:browser,ga:city'.\n    *   `:filters` (*type:* `String.t`) - A comma-separated list of dimension or metric filters to be applied to Analytics data.\n    *   `:\"include-empty-rows\"` (*type:* `boolean()`) - The response will include empty rows if this parameter is set to true, the default is true\n    *   `:\"max-results\"` (*type:* `integer()`) - The maximum number of entries to include in this feed.\n    *   `:output` (*type:* `String.t`) - The selected format for the response. Default format is JSON.\n    *   `:samplingLevel` (*type:* `String.t`) - The desired sampling level.\n    *   `:segment` (*type:* `String.t`) - An Analytics segment to be applied to data.\n    *   `:sort` (*type:* `String.t`) - A comma-separated list of dimensions or metrics that determine the sort order for Analytics data.\n    *   `:\"start-index\"` (*type:* `integer()`) - An index of the first entity to retrieve. Use this parameter as a pagination mechanism along with the max-results parameter.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Data.html#analytics_data_ga_get/7-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Data.analytics_data_ga_get/7","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.GaData{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Data.html#analytics_data_ga_get/7-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Data.analytics_data_mcf_get/7","doc":"Returns Analytics Multi-Channel Funnels data for a view (profile).","ref":"GoogleApi.Analytics.V3.Api.Data.html#analytics_data_mcf_get/7"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Data.analytics_data_mcf_get/7","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `ids` (*type:* `String.t`) - Unique table ID for retrieving Analytics data. Table ID is of the form ga:XXXX, where XXXX is the Analytics view (profile) ID.\n*   `start_date` (*type:* `String.t`) - Start date for fetching Analytics data. Requests can specify a start date formatted as YYYY-MM-DD, or as a relative date (e.g., today, yesterday, or 7daysAgo). The default value is 7daysAgo.\n*   `end_date` (*type:* `String.t`) - End date for fetching Analytics data. Requests can specify a start date formatted as YYYY-MM-DD, or as a relative date (e.g., today, yesterday, or 7daysAgo). The default value is 7daysAgo.\n*   `metrics` (*type:* `String.t`) - A comma-separated list of Multi-Channel Funnels metrics. E.g., 'mcf:totalConversions,mcf:totalConversionValue'. At least one metric must be specified.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:dimensions` (*type:* `String.t`) - A comma-separated list of Multi-Channel Funnels dimensions. E.g., 'mcf:source,mcf:medium'.\n    *   `:filters` (*type:* `String.t`) - A comma-separated list of dimension or metric filters to be applied to the Analytics data.\n    *   `:\"max-results\"` (*type:* `integer()`) - The maximum number of entries to include in this feed.\n    *   `:samplingLevel` (*type:* `String.t`) - The desired sampling level.\n    *   `:sort` (*type:* `String.t`) - A comma-separated list of dimensions or metrics that determine the sort order for the Analytics data.\n    *   `:\"start-index\"` (*type:* `integer()`) - An index of the first entity to retrieve. Use this parameter as a pagination mechanism along with the max-results parameter.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Data.html#analytics_data_mcf_get/7-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Data.analytics_data_mcf_get/7","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.McfData{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Data.html#analytics_data_mcf_get/7-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Data.analytics_data_realtime_get/5","doc":"Returns real time data for a view (profile).","ref":"GoogleApi.Analytics.V3.Api.Data.html#analytics_data_realtime_get/5"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Data.analytics_data_realtime_get/5","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `ids` (*type:* `String.t`) - Unique table ID for retrieving real time data. Table ID is of the form ga:XXXX, where XXXX is the Analytics view (profile) ID.\n*   `metrics` (*type:* `String.t`) - A comma-separated list of real time metrics. E.g., 'rt:activeUsers'. At least one metric must be specified.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:dimensions` (*type:* `String.t`) - A comma-separated list of real time dimensions. E.g., 'rt:medium,rt:city'.\n    *   `:filters` (*type:* `String.t`) - A comma-separated list of dimension or metric filters to be applied to real time data.\n    *   `:\"max-results\"` (*type:* `integer()`) - The maximum number of entries to include in this feed.\n    *   `:sort` (*type:* `String.t`) - A comma-separated list of dimensions or metrics that determine the sort order for real time data.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Data.html#analytics_data_realtime_get/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Data.analytics_data_realtime_get/5","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.RealtimeData{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Data.html#analytics_data_realtime_get/5-returns"},{"type":"module","title":"GoogleApi.Analytics.V3.Api.Management","doc":"API calls for all endpoints tagged `Management`.","ref":"GoogleApi.Analytics.V3.Api.Management.html"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_account_summaries_list/3","doc":"Lists account summaries (lightweight tree comprised of accounts/properties/profiles) to which the user has access.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_account_summaries_list/3"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_account_summaries_list/3","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:\"max-results\"` (*type:* `integer()`) - The maximum number of account summaries to include in this response, where the largest acceptable value is 1000.\n    *   `:\"start-index\"` (*type:* `integer()`) - An index of the first entity to retrieve. Use this parameter as a pagination mechanism along with the max-results parameter.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_account_summaries_list/3-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_account_summaries_list/3","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.AccountSummaries{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_account_summaries_list/3-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_account_user_links_delete/5","doc":"Removes a user from the given account.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_account_user_links_delete/5"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_account_user_links_delete/5","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account ID to delete the user link for.\n*   `link_id` (*type:* `String.t`) - Link ID to delete the user link for.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_account_user_links_delete/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_account_user_links_delete/5","doc":"*   `{:ok, %{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_account_user_links_delete/5-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_account_user_links_insert/4","doc":"Adds a new user to the given account.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_account_user_links_insert/4"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_account_user_links_insert/4","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account ID to create the user link for.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:body` (*type:* `GoogleApi.Analytics.V3.Model.EntityUserLink.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_account_user_links_insert/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_account_user_links_insert/4","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.EntityUserLink{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_account_user_links_insert/4-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_account_user_links_list/4","doc":"Lists account-user links for a given account.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_account_user_links_list/4"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_account_user_links_list/4","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account ID to retrieve the user links for.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:\"max-results\"` (*type:* `integer()`) - The maximum number of account-user links to include in this response.\n    *   `:\"start-index\"` (*type:* `integer()`) - An index of the first account-user link to retrieve. Use this parameter as a pagination mechanism along with the max-results parameter.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_account_user_links_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_account_user_links_list/4","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.EntityUserLinks{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_account_user_links_list/4-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_account_user_links_update/5","doc":"Updates permissions for an existing user on the given account.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_account_user_links_update/5"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_account_user_links_update/5","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account ID to update the account-user link for.\n*   `link_id` (*type:* `String.t`) - Link ID to update the account-user link for.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:body` (*type:* `GoogleApi.Analytics.V3.Model.EntityUserLink.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_account_user_links_update/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_account_user_links_update/5","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.EntityUserLink{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_account_user_links_update/5-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_accounts_list/3","doc":"Lists all accounts to which the user has access.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_accounts_list/3"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_accounts_list/3","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:\"max-results\"` (*type:* `integer()`) - The maximum number of accounts to include in this response.\n    *   `:\"start-index\"` (*type:* `integer()`) - An index of the first account to retrieve. Use this parameter as a pagination mechanism along with the max-results parameter.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_accounts_list/3-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_accounts_list/3","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.Accounts{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_accounts_list/3-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_client_id_hash_client_id/3","doc":"Hashes the given Client ID.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_client_id_hash_client_id/3"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_client_id_hash_client_id/3","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:body` (*type:* `GoogleApi.Analytics.V3.Model.HashClientIdRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_client_id_hash_client_id/3-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_client_id_hash_client_id/3","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.HashClientIdResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_client_id_hash_client_id/3-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_custom_data_sources_list/5","doc":"List custom data sources to which the user has access.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_custom_data_sources_list/5"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_custom_data_sources_list/5","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account Id for the custom data sources to retrieve.\n*   `web_property_id` (*type:* `String.t`) - Web property Id for the custom data sources to retrieve.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:\"max-results\"` (*type:* `integer()`) - The maximum number of custom data sources to include in this response.\n    *   `:\"start-index\"` (*type:* `integer()`) - A 1-based index of the first custom data source to retrieve. Use this parameter as a pagination mechanism along with the max-results parameter.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_custom_data_sources_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_custom_data_sources_list/5","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.CustomDataSources{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_custom_data_sources_list/5-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_custom_dimensions_get/6","doc":"Get a custom dimension to which the user has access.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_custom_dimensions_get/6"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_custom_dimensions_get/6","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account ID for the custom dimension to retrieve.\n*   `web_property_id` (*type:* `String.t`) - Web property ID for the custom dimension to retrieve.\n*   `custom_dimension_id` (*type:* `String.t`) - The ID of the custom dimension to retrieve.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_custom_dimensions_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_custom_dimensions_get/6","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.CustomDimension{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_custom_dimensions_get/6-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_custom_dimensions_insert/5","doc":"Create a new custom dimension.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_custom_dimensions_insert/5"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_custom_dimensions_insert/5","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account ID for the custom dimension to create.\n*   `web_property_id` (*type:* `String.t`) - Web property ID for the custom dimension to create.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:body` (*type:* `GoogleApi.Analytics.V3.Model.CustomDimension.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_custom_dimensions_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_custom_dimensions_insert/5","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.CustomDimension{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_custom_dimensions_insert/5-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_custom_dimensions_list/5","doc":"Lists custom dimensions to which the user has access.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_custom_dimensions_list/5"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_custom_dimensions_list/5","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account ID for the custom dimensions to retrieve.\n*   `web_property_id` (*type:* `String.t`) - Web property ID for the custom dimensions to retrieve.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:\"max-results\"` (*type:* `integer()`) - The maximum number of custom dimensions to include in this response.\n    *   `:\"start-index\"` (*type:* `integer()`) - An index of the first entity to retrieve. Use this parameter as a pagination mechanism along with the max-results parameter.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_custom_dimensions_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_custom_dimensions_list/5","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.CustomDimensions{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_custom_dimensions_list/5-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_custom_dimensions_patch/6","doc":"Updates an existing custom dimension. This method supports patch semantics.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_custom_dimensions_patch/6"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_custom_dimensions_patch/6","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account ID for the custom dimension to update.\n*   `web_property_id` (*type:* `String.t`) - Web property ID for the custom dimension to update.\n*   `custom_dimension_id` (*type:* `String.t`) - Custom dimension ID for the custom dimension to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:ignoreCustomDataSourceLinks` (*type:* `boolean()`) - Force the update and ignore any warnings related to the custom dimension being linked to a custom data source / data set.\n    *   `:body` (*type:* `GoogleApi.Analytics.V3.Model.CustomDimension.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_custom_dimensions_patch/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_custom_dimensions_patch/6","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.CustomDimension{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_custom_dimensions_patch/6-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_custom_dimensions_update/6","doc":"Updates an existing custom dimension.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_custom_dimensions_update/6"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_custom_dimensions_update/6","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account ID for the custom dimension to update.\n*   `web_property_id` (*type:* `String.t`) - Web property ID for the custom dimension to update.\n*   `custom_dimension_id` (*type:* `String.t`) - Custom dimension ID for the custom dimension to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:ignoreCustomDataSourceLinks` (*type:* `boolean()`) - Force the update and ignore any warnings related to the custom dimension being linked to a custom data source / data set.\n    *   `:body` (*type:* `GoogleApi.Analytics.V3.Model.CustomDimension.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_custom_dimensions_update/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_custom_dimensions_update/6","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.CustomDimension{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_custom_dimensions_update/6-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_custom_metrics_get/6","doc":"Get a custom metric to which the user has access.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_custom_metrics_get/6"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_custom_metrics_get/6","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account ID for the custom metric to retrieve.\n*   `web_property_id` (*type:* `String.t`) - Web property ID for the custom metric to retrieve.\n*   `custom_metric_id` (*type:* `String.t`) - The ID of the custom metric to retrieve.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_custom_metrics_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_custom_metrics_get/6","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.CustomMetric{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_custom_metrics_get/6-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_custom_metrics_insert/5","doc":"Create a new custom metric.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_custom_metrics_insert/5"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_custom_metrics_insert/5","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account ID for the custom metric to create.\n*   `web_property_id` (*type:* `String.t`) - Web property ID for the custom dimension to create.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:body` (*type:* `GoogleApi.Analytics.V3.Model.CustomMetric.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_custom_metrics_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_custom_metrics_insert/5","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.CustomMetric{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_custom_metrics_insert/5-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_custom_metrics_list/5","doc":"Lists custom metrics to which the user has access.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_custom_metrics_list/5"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_custom_metrics_list/5","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account ID for the custom metrics to retrieve.\n*   `web_property_id` (*type:* `String.t`) - Web property ID for the custom metrics to retrieve.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:\"max-results\"` (*type:* `integer()`) - The maximum number of custom metrics to include in this response.\n    *   `:\"start-index\"` (*type:* `integer()`) - An index of the first entity to retrieve. Use this parameter as a pagination mechanism along with the max-results parameter.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_custom_metrics_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_custom_metrics_list/5","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.CustomMetrics{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_custom_metrics_list/5-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_custom_metrics_patch/6","doc":"Updates an existing custom metric. This method supports patch semantics.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_custom_metrics_patch/6"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_custom_metrics_patch/6","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account ID for the custom metric to update.\n*   `web_property_id` (*type:* `String.t`) - Web property ID for the custom metric to update.\n*   `custom_metric_id` (*type:* `String.t`) - Custom metric ID for the custom metric to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:ignoreCustomDataSourceLinks` (*type:* `boolean()`) - Force the update and ignore any warnings related to the custom metric being linked to a custom data source / data set.\n    *   `:body` (*type:* `GoogleApi.Analytics.V3.Model.CustomMetric.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_custom_metrics_patch/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_custom_metrics_patch/6","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.CustomMetric{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_custom_metrics_patch/6-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_custom_metrics_update/6","doc":"Updates an existing custom metric.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_custom_metrics_update/6"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_custom_metrics_update/6","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account ID for the custom metric to update.\n*   `web_property_id` (*type:* `String.t`) - Web property ID for the custom metric to update.\n*   `custom_metric_id` (*type:* `String.t`) - Custom metric ID for the custom metric to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:ignoreCustomDataSourceLinks` (*type:* `boolean()`) - Force the update and ignore any warnings related to the custom metric being linked to a custom data source / data set.\n    *   `:body` (*type:* `GoogleApi.Analytics.V3.Model.CustomMetric.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_custom_metrics_update/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_custom_metrics_update/6","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.CustomMetric{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_custom_metrics_update/6-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_experiments_delete/7","doc":"Delete an experiment.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_experiments_delete/7"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_experiments_delete/7","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account ID to which the experiment belongs\n*   `web_property_id` (*type:* `String.t`) - Web property ID to which the experiment belongs\n*   `profile_id` (*type:* `String.t`) - View (Profile) ID to which the experiment belongs\n*   `experiment_id` (*type:* `String.t`) - ID of the experiment to delete\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_experiments_delete/7-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_experiments_delete/7","doc":"*   `{:ok, %{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_experiments_delete/7-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_experiments_get/7","doc":"Returns an experiment to which the user has access.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_experiments_get/7"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_experiments_get/7","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account ID to retrieve the experiment for.\n*   `web_property_id` (*type:* `String.t`) - Web property ID to retrieve the experiment for.\n*   `profile_id` (*type:* `String.t`) - View (Profile) ID to retrieve the experiment for.\n*   `experiment_id` (*type:* `String.t`) - Experiment ID to retrieve the experiment for.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_experiments_get/7-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_experiments_get/7","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.Experiment{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_experiments_get/7-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_experiments_insert/6","doc":"Create a new experiment.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_experiments_insert/6"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_experiments_insert/6","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account ID to create the experiment for.\n*   `web_property_id` (*type:* `String.t`) - Web property ID to create the experiment for.\n*   `profile_id` (*type:* `String.t`) - View (Profile) ID to create the experiment for.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:body` (*type:* `GoogleApi.Analytics.V3.Model.Experiment.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_experiments_insert/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_experiments_insert/6","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.Experiment{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_experiments_insert/6-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_experiments_list/6","doc":"Lists experiments to which the user has access.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_experiments_list/6"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_experiments_list/6","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account ID to retrieve experiments for.\n*   `web_property_id` (*type:* `String.t`) - Web property ID to retrieve experiments for.\n*   `profile_id` (*type:* `String.t`) - View (Profile) ID to retrieve experiments for.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:\"max-results\"` (*type:* `integer()`) - The maximum number of experiments to include in this response.\n    *   `:\"start-index\"` (*type:* `integer()`) - An index of the first experiment to retrieve. Use this parameter as a pagination mechanism along with the max-results parameter.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_experiments_list/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_experiments_list/6","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.Experiments{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_experiments_list/6-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_experiments_patch/7","doc":"Update an existing experiment. This method supports patch semantics.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_experiments_patch/7"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_experiments_patch/7","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account ID of the experiment to update.\n*   `web_property_id` (*type:* `String.t`) - Web property ID of the experiment to update.\n*   `profile_id` (*type:* `String.t`) - View (Profile) ID of the experiment to update.\n*   `experiment_id` (*type:* `String.t`) - Experiment ID of the experiment to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:body` (*type:* `GoogleApi.Analytics.V3.Model.Experiment.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_experiments_patch/7-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_experiments_patch/7","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.Experiment{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_experiments_patch/7-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_experiments_update/7","doc":"Update an existing experiment.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_experiments_update/7"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_experiments_update/7","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account ID of the experiment to update.\n*   `web_property_id` (*type:* `String.t`) - Web property ID of the experiment to update.\n*   `profile_id` (*type:* `String.t`) - View (Profile) ID of the experiment to update.\n*   `experiment_id` (*type:* `String.t`) - Experiment ID of the experiment to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:body` (*type:* `GoogleApi.Analytics.V3.Model.Experiment.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_experiments_update/7-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_experiments_update/7","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.Experiment{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_experiments_update/7-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_filters_delete/5","doc":"Delete a filter.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_filters_delete/5"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_filters_delete/5","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account ID to delete the filter for.\n*   `filter_id` (*type:* `String.t`) - ID of the filter to be deleted.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_filters_delete/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_filters_delete/5","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.Filter{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_filters_delete/5-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_filters_get/5","doc":"Returns filters to which the user has access.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_filters_get/5"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_filters_get/5","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account ID to retrieve filters for.\n*   `filter_id` (*type:* `String.t`) - Filter ID to retrieve filters for.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_filters_get/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_filters_get/5","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.Filter{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_filters_get/5-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_filters_insert/4","doc":"Create a new filter.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_filters_insert/4"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_filters_insert/4","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account ID to create filter for.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:body` (*type:* `GoogleApi.Analytics.V3.Model.Filter.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_filters_insert/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_filters_insert/4","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.Filter{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_filters_insert/4-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_filters_list/4","doc":"Lists all filters for an account","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_filters_list/4"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_filters_list/4","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account ID to retrieve filters for.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:\"max-results\"` (*type:* `integer()`) - The maximum number of filters to include in this response.\n    *   `:\"start-index\"` (*type:* `integer()`) - An index of the first entity to retrieve. Use this parameter as a pagination mechanism along with the max-results parameter.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_filters_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_filters_list/4","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.Filters{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_filters_list/4-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_filters_patch/5","doc":"Updates an existing filter. This method supports patch semantics.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_filters_patch/5"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_filters_patch/5","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account ID to which the filter belongs.\n*   `filter_id` (*type:* `String.t`) - ID of the filter to be updated.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:body` (*type:* `GoogleApi.Analytics.V3.Model.Filter.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_filters_patch/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_filters_patch/5","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.Filter{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_filters_patch/5-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_filters_update/5","doc":"Updates an existing filter.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_filters_update/5"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_filters_update/5","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account ID to which the filter belongs.\n*   `filter_id` (*type:* `String.t`) - ID of the filter to be updated.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:body` (*type:* `GoogleApi.Analytics.V3.Model.Filter.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_filters_update/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_filters_update/5","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.Filter{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_filters_update/5-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_goals_get/7","doc":"Gets a goal to which the user has access.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_goals_get/7"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_goals_get/7","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account ID to retrieve the goal for.\n*   `web_property_id` (*type:* `String.t`) - Web property ID to retrieve the goal for.\n*   `profile_id` (*type:* `String.t`) - View (Profile) ID to retrieve the goal for.\n*   `goal_id` (*type:* `String.t`) - Goal ID to retrieve the goal for.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_goals_get/7-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_goals_get/7","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.Goal{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_goals_get/7-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_goals_insert/6","doc":"Create a new goal.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_goals_insert/6"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_goals_insert/6","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account ID to create the goal for.\n*   `web_property_id` (*type:* `String.t`) - Web property ID to create the goal for.\n*   `profile_id` (*type:* `String.t`) - View (Profile) ID to create the goal for.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:body` (*type:* `GoogleApi.Analytics.V3.Model.Goal.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_goals_insert/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_goals_insert/6","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.Goal{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_goals_insert/6-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_goals_list/6","doc":"Lists goals to which the user has access.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_goals_list/6"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_goals_list/6","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account ID to retrieve goals for. Can either be a specific account ID or '~all', which refers to all the accounts that user has access to.\n*   `web_property_id` (*type:* `String.t`) - Web property ID to retrieve goals for. Can either be a specific web property ID or '~all', which refers to all the web properties that user has access to.\n*   `profile_id` (*type:* `String.t`) - View (Profile) ID to retrieve goals for. Can either be a specific view (profile) ID or '~all', which refers to all the views (profiles) that user has access to.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:\"max-results\"` (*type:* `integer()`) - The maximum number of goals to include in this response.\n    *   `:\"start-index\"` (*type:* `integer()`) - An index of the first goal to retrieve. Use this parameter as a pagination mechanism along with the max-results parameter.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_goals_list/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_goals_list/6","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.Goals{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_goals_list/6-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_goals_patch/7","doc":"Updates an existing goal. This method supports patch semantics.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_goals_patch/7"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_goals_patch/7","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account ID to update the goal.\n*   `web_property_id` (*type:* `String.t`) - Web property ID to update the goal.\n*   `profile_id` (*type:* `String.t`) - View (Profile) ID to update the goal.\n*   `goal_id` (*type:* `String.t`) - Index of the goal to be updated.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:body` (*type:* `GoogleApi.Analytics.V3.Model.Goal.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_goals_patch/7-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_goals_patch/7","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.Goal{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_goals_patch/7-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_goals_update/7","doc":"Updates an existing goal.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_goals_update/7"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_goals_update/7","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account ID to update the goal.\n*   `web_property_id` (*type:* `String.t`) - Web property ID to update the goal.\n*   `profile_id` (*type:* `String.t`) - View (Profile) ID to update the goal.\n*   `goal_id` (*type:* `String.t`) - Index of the goal to be updated.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:body` (*type:* `GoogleApi.Analytics.V3.Model.Goal.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_goals_update/7-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_goals_update/7","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.Goal{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_goals_update/7-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_profile_filter_links_delete/7","doc":"Delete a profile filter link.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_profile_filter_links_delete/7"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_profile_filter_links_delete/7","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account ID to which the profile filter link belongs.\n*   `web_property_id` (*type:* `String.t`) - Web property Id to which the profile filter link belongs.\n*   `profile_id` (*type:* `String.t`) - Profile ID to which the filter link belongs.\n*   `link_id` (*type:* `String.t`) - ID of the profile filter link to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_profile_filter_links_delete/7-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_profile_filter_links_delete/7","doc":"*   `{:ok, %{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_profile_filter_links_delete/7-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_profile_filter_links_get/7","doc":"Returns a single profile filter link.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_profile_filter_links_get/7"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_profile_filter_links_get/7","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account ID to retrieve profile filter link for.\n*   `web_property_id` (*type:* `String.t`) - Web property Id to retrieve profile filter link for.\n*   `profile_id` (*type:* `String.t`) - Profile ID to retrieve filter link for.\n*   `link_id` (*type:* `String.t`) - ID of the profile filter link.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_profile_filter_links_get/7-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_profile_filter_links_get/7","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.ProfileFilterLink{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_profile_filter_links_get/7-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_profile_filter_links_insert/6","doc":"Create a new profile filter link.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_profile_filter_links_insert/6"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_profile_filter_links_insert/6","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account ID to create profile filter link for.\n*   `web_property_id` (*type:* `String.t`) - Web property Id to create profile filter link for.\n*   `profile_id` (*type:* `String.t`) - Profile ID to create filter link for.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:body` (*type:* `GoogleApi.Analytics.V3.Model.ProfileFilterLink.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_profile_filter_links_insert/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_profile_filter_links_insert/6","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.ProfileFilterLink{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_profile_filter_links_insert/6-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_profile_filter_links_list/6","doc":"Lists all profile filter links for a profile.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_profile_filter_links_list/6"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_profile_filter_links_list/6","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account ID to retrieve profile filter links for.\n*   `web_property_id` (*type:* `String.t`) - Web property Id for profile filter links for. Can either be a specific web property ID or '~all', which refers to all the web properties that user has access to.\n*   `profile_id` (*type:* `String.t`) - Profile ID to retrieve filter links for. Can either be a specific profile ID or '~all', which refers to all the profiles that user has access to.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:\"max-results\"` (*type:* `integer()`) - The maximum number of profile filter links to include in this response.\n    *   `:\"start-index\"` (*type:* `integer()`) - An index of the first entity to retrieve. Use this parameter as a pagination mechanism along with the max-results parameter.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_profile_filter_links_list/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_profile_filter_links_list/6","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.ProfileFilterLinks{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_profile_filter_links_list/6-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_profile_filter_links_patch/7","doc":"Update an existing profile filter link. This method supports patch semantics.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_profile_filter_links_patch/7"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_profile_filter_links_patch/7","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account ID to which profile filter link belongs.\n*   `web_property_id` (*type:* `String.t`) - Web property Id to which profile filter link belongs\n*   `profile_id` (*type:* `String.t`) - Profile ID to which filter link belongs\n*   `link_id` (*type:* `String.t`) - ID of the profile filter link to be updated.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:body` (*type:* `GoogleApi.Analytics.V3.Model.ProfileFilterLink.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_profile_filter_links_patch/7-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_profile_filter_links_patch/7","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.ProfileFilterLink{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_profile_filter_links_patch/7-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_profile_filter_links_update/7","doc":"Update an existing profile filter link.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_profile_filter_links_update/7"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_profile_filter_links_update/7","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account ID to which profile filter link belongs.\n*   `web_property_id` (*type:* `String.t`) - Web property Id to which profile filter link belongs\n*   `profile_id` (*type:* `String.t`) - Profile ID to which filter link belongs\n*   `link_id` (*type:* `String.t`) - ID of the profile filter link to be updated.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:body` (*type:* `GoogleApi.Analytics.V3.Model.ProfileFilterLink.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_profile_filter_links_update/7-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_profile_filter_links_update/7","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.ProfileFilterLink{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_profile_filter_links_update/7-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_profile_user_links_delete/7","doc":"Removes a user from the given view (profile).","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_profile_user_links_delete/7"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_profile_user_links_delete/7","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account ID to delete the user link for.\n*   `web_property_id` (*type:* `String.t`) - Web Property ID to delete the user link for.\n*   `profile_id` (*type:* `String.t`) - View (Profile) ID to delete the user link for.\n*   `link_id` (*type:* `String.t`) - Link ID to delete the user link for.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_profile_user_links_delete/7-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_profile_user_links_delete/7","doc":"*   `{:ok, %{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_profile_user_links_delete/7-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_profile_user_links_insert/6","doc":"Adds a new user to the given view (profile).","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_profile_user_links_insert/6"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_profile_user_links_insert/6","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account ID to create the user link for.\n*   `web_property_id` (*type:* `String.t`) - Web Property ID to create the user link for.\n*   `profile_id` (*type:* `String.t`) - View (Profile) ID to create the user link for.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:body` (*type:* `GoogleApi.Analytics.V3.Model.EntityUserLink.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_profile_user_links_insert/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_profile_user_links_insert/6","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.EntityUserLink{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_profile_user_links_insert/6-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_profile_user_links_list/6","doc":"Lists profile-user links for a given view (profile).","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_profile_user_links_list/6"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_profile_user_links_list/6","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account ID which the given view (profile) belongs to.\n*   `web_property_id` (*type:* `String.t`) - Web Property ID which the given view (profile) belongs to. Can either be a specific web property ID or '~all', which refers to all the web properties that user has access to.\n*   `profile_id` (*type:* `String.t`) - View (Profile) ID to retrieve the profile-user links for. Can either be a specific profile ID or '~all', which refers to all the profiles that user has access to.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:\"max-results\"` (*type:* `integer()`) - The maximum number of profile-user links to include in this response.\n    *   `:\"start-index\"` (*type:* `integer()`) - An index of the first profile-user link to retrieve. Use this parameter as a pagination mechanism along with the max-results parameter.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_profile_user_links_list/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_profile_user_links_list/6","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.EntityUserLinks{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_profile_user_links_list/6-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_profile_user_links_update/7","doc":"Updates permissions for an existing user on the given view (profile).","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_profile_user_links_update/7"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_profile_user_links_update/7","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account ID to update the user link for.\n*   `web_property_id` (*type:* `String.t`) - Web Property ID to update the user link for.\n*   `profile_id` (*type:* `String.t`) - View (Profile ID) to update the user link for.\n*   `link_id` (*type:* `String.t`) - Link ID to update the user link for.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:body` (*type:* `GoogleApi.Analytics.V3.Model.EntityUserLink.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_profile_user_links_update/7-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_profile_user_links_update/7","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.EntityUserLink{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_profile_user_links_update/7-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_profiles_delete/6","doc":"Deletes a view (profile).","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_profiles_delete/6"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_profiles_delete/6","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account ID to delete the view (profile) for.\n*   `web_property_id` (*type:* `String.t`) - Web property ID to delete the view (profile) for.\n*   `profile_id` (*type:* `String.t`) - ID of the view (profile) to be deleted.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_profiles_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_profiles_delete/6","doc":"*   `{:ok, %{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_profiles_delete/6-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_profiles_get/6","doc":"Gets a view (profile) to which the user has access.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_profiles_get/6"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_profiles_get/6","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account ID to retrieve the view (profile) for.\n*   `web_property_id` (*type:* `String.t`) - Web property ID to retrieve the view (profile) for.\n*   `profile_id` (*type:* `String.t`) - View (Profile) ID to retrieve the view (profile) for.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_profiles_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_profiles_get/6","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.Profile{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_profiles_get/6-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_profiles_insert/5","doc":"Create a new view (profile).","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_profiles_insert/5"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_profiles_insert/5","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account ID to create the view (profile) for.\n*   `web_property_id` (*type:* `String.t`) - Web property ID to create the view (profile) for.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:body` (*type:* `GoogleApi.Analytics.V3.Model.Profile.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_profiles_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_profiles_insert/5","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.Profile{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_profiles_insert/5-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_profiles_list/5","doc":"Lists views (profiles) to which the user has access.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_profiles_list/5"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_profiles_list/5","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account ID for the view (profiles) to retrieve. Can either be a specific account ID or '~all', which refers to all the accounts to which the user has access.\n*   `web_property_id` (*type:* `String.t`) - Web property ID for the views (profiles) to retrieve. Can either be a specific web property ID or '~all', which refers to all the web properties to which the user has access.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:\"max-results\"` (*type:* `integer()`) - The maximum number of views (profiles) to include in this response.\n    *   `:\"start-index\"` (*type:* `integer()`) - An index of the first entity to retrieve. Use this parameter as a pagination mechanism along with the max-results parameter.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_profiles_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_profiles_list/5","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.Profiles{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_profiles_list/5-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_profiles_patch/6","doc":"Updates an existing view (profile). This method supports patch semantics.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_profiles_patch/6"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_profiles_patch/6","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account ID to which the view (profile) belongs\n*   `web_property_id` (*type:* `String.t`) - Web property ID to which the view (profile) belongs\n*   `profile_id` (*type:* `String.t`) - ID of the view (profile) to be updated.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:body` (*type:* `GoogleApi.Analytics.V3.Model.Profile.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_profiles_patch/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_profiles_patch/6","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.Profile{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_profiles_patch/6-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_profiles_update/6","doc":"Updates an existing view (profile).","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_profiles_update/6"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_profiles_update/6","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account ID to which the view (profile) belongs\n*   `web_property_id` (*type:* `String.t`) - Web property ID to which the view (profile) belongs\n*   `profile_id` (*type:* `String.t`) - ID of the view (profile) to be updated.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:body` (*type:* `GoogleApi.Analytics.V3.Model.Profile.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_profiles_update/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_profiles_update/6","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.Profile{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_profiles_update/6-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_remarketing_audience_delete/6","doc":"Delete a remarketing audience.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_remarketing_audience_delete/6"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_remarketing_audience_delete/6","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account ID to which the remarketing audience belongs.\n*   `web_property_id` (*type:* `String.t`) - Web property ID to which the remarketing audience belongs.\n*   `remarketing_audience_id` (*type:* `String.t`) - The ID of the remarketing audience to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_remarketing_audience_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_remarketing_audience_delete/6","doc":"*   `{:ok, %{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_remarketing_audience_delete/6-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_remarketing_audience_get/6","doc":"Gets a remarketing audience to which the user has access.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_remarketing_audience_get/6"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_remarketing_audience_get/6","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - The account ID of the remarketing audience to retrieve.\n*   `web_property_id` (*type:* `String.t`) - The web property ID of the remarketing audience to retrieve.\n*   `remarketing_audience_id` (*type:* `String.t`) - The ID of the remarketing audience to retrieve.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_remarketing_audience_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_remarketing_audience_get/6","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.RemarketingAudience{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_remarketing_audience_get/6-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_remarketing_audience_insert/5","doc":"Creates a new remarketing audience.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_remarketing_audience_insert/5"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_remarketing_audience_insert/5","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - The account ID for which to create the remarketing audience.\n*   `web_property_id` (*type:* `String.t`) - Web property ID for which to create the remarketing audience.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:body` (*type:* `GoogleApi.Analytics.V3.Model.RemarketingAudience.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_remarketing_audience_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_remarketing_audience_insert/5","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.RemarketingAudience{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_remarketing_audience_insert/5-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_remarketing_audience_list/5","doc":"Lists remarketing audiences to which the user has access.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_remarketing_audience_list/5"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_remarketing_audience_list/5","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - The account ID of the remarketing audiences to retrieve.\n*   `web_property_id` (*type:* `String.t`) - The web property ID of the remarketing audiences to retrieve.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:\"max-results\"` (*type:* `integer()`) - The maximum number of remarketing audiences to include in this response.\n    *   `:\"start-index\"` (*type:* `integer()`) - An index of the first entity to retrieve. Use this parameter as a pagination mechanism along with the max-results parameter.\n    *   `:type` (*type:* `String.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_remarketing_audience_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_remarketing_audience_list/5","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.RemarketingAudiences{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_remarketing_audience_list/5-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_remarketing_audience_patch/6","doc":"Updates an existing remarketing audience. This method supports patch semantics.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_remarketing_audience_patch/6"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_remarketing_audience_patch/6","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - The account ID of the remarketing audience to update.\n*   `web_property_id` (*type:* `String.t`) - The web property ID of the remarketing audience to update.\n*   `remarketing_audience_id` (*type:* `String.t`) - The ID of the remarketing audience to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:body` (*type:* `GoogleApi.Analytics.V3.Model.RemarketingAudience.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_remarketing_audience_patch/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_remarketing_audience_patch/6","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.RemarketingAudience{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_remarketing_audience_patch/6-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_remarketing_audience_update/6","doc":"Updates an existing remarketing audience.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_remarketing_audience_update/6"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_remarketing_audience_update/6","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - The account ID of the remarketing audience to update.\n*   `web_property_id` (*type:* `String.t`) - The web property ID of the remarketing audience to update.\n*   `remarketing_audience_id` (*type:* `String.t`) - The ID of the remarketing audience to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:body` (*type:* `GoogleApi.Analytics.V3.Model.RemarketingAudience.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_remarketing_audience_update/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_remarketing_audience_update/6","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.RemarketingAudience{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_remarketing_audience_update/6-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_segments_list/3","doc":"Lists segments to which the user has access.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_segments_list/3"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_segments_list/3","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:\"max-results\"` (*type:* `integer()`) - The maximum number of segments to include in this response.\n    *   `:\"start-index\"` (*type:* `integer()`) - An index of the first segment to retrieve. Use this parameter as a pagination mechanism along with the max-results parameter.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_segments_list/3-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_segments_list/3","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.Segments{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_segments_list/3-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_unsampled_reports_delete/7","doc":"Deletes an unsampled report.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_unsampled_reports_delete/7"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_unsampled_reports_delete/7","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account ID to delete the unsampled report for.\n*   `web_property_id` (*type:* `String.t`) - Web property ID to delete the unsampled reports for.\n*   `profile_id` (*type:* `String.t`) - View (Profile) ID to delete the unsampled report for.\n*   `unsampled_report_id` (*type:* `String.t`) - ID of the unsampled report to be deleted.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_unsampled_reports_delete/7-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_unsampled_reports_delete/7","doc":"*   `{:ok, %{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_unsampled_reports_delete/7-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_unsampled_reports_get/7","doc":"Returns a single unsampled report.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_unsampled_reports_get/7"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_unsampled_reports_get/7","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account ID to retrieve unsampled report for.\n*   `web_property_id` (*type:* `String.t`) - Web property ID to retrieve unsampled reports for.\n*   `profile_id` (*type:* `String.t`) - View (Profile) ID to retrieve unsampled report for.\n*   `unsampled_report_id` (*type:* `String.t`) - ID of the unsampled report to retrieve.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_unsampled_reports_get/7-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_unsampled_reports_get/7","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.UnsampledReport{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_unsampled_reports_get/7-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_unsampled_reports_insert/6","doc":"Create a new unsampled report.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_unsampled_reports_insert/6"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_unsampled_reports_insert/6","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account ID to create the unsampled report for.\n*   `web_property_id` (*type:* `String.t`) - Web property ID to create the unsampled report for.\n*   `profile_id` (*type:* `String.t`) - View (Profile) ID to create the unsampled report for.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:body` (*type:* `GoogleApi.Analytics.V3.Model.UnsampledReport.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_unsampled_reports_insert/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_unsampled_reports_insert/6","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.UnsampledReport{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_unsampled_reports_insert/6-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_unsampled_reports_list/6","doc":"Lists unsampled reports to which the user has access.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_unsampled_reports_list/6"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_unsampled_reports_list/6","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account ID to retrieve unsampled reports for. Must be a specific account ID, ~all is not supported.\n*   `web_property_id` (*type:* `String.t`) - Web property ID to retrieve unsampled reports for. Must be a specific web property ID, ~all is not supported.\n*   `profile_id` (*type:* `String.t`) - View (Profile) ID to retrieve unsampled reports for. Must be a specific view (profile) ID, ~all is not supported.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:\"max-results\"` (*type:* `integer()`) - The maximum number of unsampled reports to include in this response.\n    *   `:\"start-index\"` (*type:* `integer()`) - An index of the first unsampled report to retrieve. Use this parameter as a pagination mechanism along with the max-results parameter.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_unsampled_reports_list/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_unsampled_reports_list/6","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.UnsampledReports{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_unsampled_reports_list/6-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_uploads_delete_upload_data/6","doc":"Delete data associated with a previous upload.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_uploads_delete_upload_data/6"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_uploads_delete_upload_data/6","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account Id for the uploads to be deleted.\n*   `web_property_id` (*type:* `String.t`) - Web property Id for the uploads to be deleted.\n*   `custom_data_source_id` (*type:* `String.t`) - Custom data source Id for the uploads to be deleted.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:body` (*type:* `GoogleApi.Analytics.V3.Model.AnalyticsDataimportDeleteUploadDataRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_uploads_delete_upload_data/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_uploads_delete_upload_data/6","doc":"*   `{:ok, %{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_uploads_delete_upload_data/6-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_uploads_get/7","doc":"List uploads to which the user has access.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_uploads_get/7"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_uploads_get/7","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account Id for the upload to retrieve.\n*   `web_property_id` (*type:* `String.t`) - Web property Id for the upload to retrieve.\n*   `custom_data_source_id` (*type:* `String.t`) - Custom data source Id for upload to retrieve.\n*   `upload_id` (*type:* `String.t`) - Upload Id to retrieve.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_uploads_get/7-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_uploads_get/7","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.Upload{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_uploads_get/7-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_uploads_list/6","doc":"List uploads to which the user has access.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_uploads_list/6"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_uploads_list/6","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account Id for the uploads to retrieve.\n*   `web_property_id` (*type:* `String.t`) - Web property Id for the uploads to retrieve.\n*   `custom_data_source_id` (*type:* `String.t`) - Custom data source Id for uploads to retrieve.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:\"max-results\"` (*type:* `integer()`) - The maximum number of uploads to include in this response.\n    *   `:\"start-index\"` (*type:* `integer()`) - A 1-based index of the first upload to retrieve. Use this parameter as a pagination mechanism along with the max-results parameter.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_uploads_list/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_uploads_list/6","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.Uploads{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_uploads_list/6-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_uploads_upload_data/6","doc":"Upload data for a custom data source.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_uploads_upload_data/6"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_uploads_upload_data/6","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account Id associated with the upload.\n*   `web_property_id` (*type:* `String.t`) - Web property UA-string associated with the upload.\n*   `custom_data_source_id` (*type:* `String.t`) - Custom data source Id to which the data being uploaded belongs.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_uploads_upload_data/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_uploads_upload_data/6","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.Upload{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_uploads_upload_data/6-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_uploads_upload_data_iodata/9","doc":"Upload data for a custom data source.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_uploads_upload_data_iodata/9"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_uploads_upload_data_iodata/9","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account Id associated with the upload.\n*   `web_property_id` (*type:* `String.t`) - Web property UA-string associated with the upload.\n*   `custom_data_source_id` (*type:* `String.t`) - Custom data source Id to which the data being uploaded belongs.\n*   `upload_type` (*type:* `String.t`) - Upload type. Must be \"multipart\".\n*   `metadata` (*type:* `String.t`) - string metadata\n*   `data` (*type:* `iodata`) - Content to upload, as a string or iolist\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_uploads_upload_data_iodata/9-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_uploads_upload_data_iodata/9","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.Upload{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_uploads_upload_data_iodata/9-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_uploads_upload_data_resumable/7","doc":"Upload data for a custom data source.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_uploads_upload_data_resumable/7"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_uploads_upload_data_resumable/7","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account Id associated with the upload.\n*   `web_property_id` (*type:* `String.t`) - Web property UA-string associated with the upload.\n*   `custom_data_source_id` (*type:* `String.t`) - Custom data source Id to which the data being uploaded belongs.\n*   `upload_type` (*type:* `String.t`) - Upload type. Must be \"resumable\".\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_uploads_upload_data_resumable/7-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_uploads_upload_data_resumable/7","doc":"*   `{:ok, %{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_uploads_upload_data_resumable/7-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_uploads_upload_data_simple/9","doc":"Upload data for a custom data source.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_uploads_upload_data_simple/9"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_uploads_upload_data_simple/9","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account Id associated with the upload.\n*   `web_property_id` (*type:* `String.t`) - Web property UA-string associated with the upload.\n*   `custom_data_source_id` (*type:* `String.t`) - Custom data source Id to which the data being uploaded belongs.\n*   `upload_type` (*type:* `String.t`) - Upload type. Must be \"multipart\".\n*   `metadata` (*type:* `String.t`) - string metadata\n*   `data` (*type:* `String.t`) - Path to file containing content to upload\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_uploads_upload_data_simple/9-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_uploads_upload_data_simple/9","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.Upload{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_uploads_upload_data_simple/9-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_web_property_ad_words_links_delete/6","doc":"Deletes a web property-Google Ads link.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_web_property_ad_words_links_delete/6"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_web_property_ad_words_links_delete/6","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - ID of the account which the given web property belongs to.\n*   `web_property_id` (*type:* `String.t`) - Web property ID to delete the Google Ads link for.\n*   `web_property_ad_words_link_id` (*type:* `String.t`) - Web property Google Ads link ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_web_property_ad_words_links_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_web_property_ad_words_links_delete/6","doc":"*   `{:ok, %{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_web_property_ad_words_links_delete/6-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_web_property_ad_words_links_get/6","doc":"Returns a web property-Google Ads link to which the user has access.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_web_property_ad_words_links_get/6"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_web_property_ad_words_links_get/6","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - ID of the account which the given web property belongs to.\n*   `web_property_id` (*type:* `String.t`) - Web property ID to retrieve the Google Ads link for.\n*   `web_property_ad_words_link_id` (*type:* `String.t`) - Web property-Google Ads link ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_web_property_ad_words_links_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_web_property_ad_words_links_get/6","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.EntityAdWordsLink{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_web_property_ad_words_links_get/6-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_web_property_ad_words_links_insert/5","doc":"Creates a webProperty-Google Ads link.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_web_property_ad_words_links_insert/5"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_web_property_ad_words_links_insert/5","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - ID of the Google Analytics account to create the link for.\n*   `web_property_id` (*type:* `String.t`) - Web property ID to create the link for.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:body` (*type:* `GoogleApi.Analytics.V3.Model.EntityAdWordsLink.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_web_property_ad_words_links_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_web_property_ad_words_links_insert/5","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.EntityAdWordsLink{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_web_property_ad_words_links_insert/5-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_web_property_ad_words_links_list/5","doc":"Lists webProperty-Google Ads links for a given web property.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_web_property_ad_words_links_list/5"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_web_property_ad_words_links_list/5","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - ID of the account which the given web property belongs to.\n*   `web_property_id` (*type:* `String.t`) - Web property ID to retrieve the Google Ads links for.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:\"max-results\"` (*type:* `integer()`) - The maximum number of webProperty-Google Ads links to include in this response.\n    *   `:\"start-index\"` (*type:* `integer()`) - An index of the first webProperty-Google Ads link to retrieve. Use this parameter as a pagination mechanism along with the max-results parameter.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_web_property_ad_words_links_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_web_property_ad_words_links_list/5","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.EntityAdWordsLinks{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_web_property_ad_words_links_list/5-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_web_property_ad_words_links_patch/6","doc":"Updates an existing webProperty-Google Ads link. This method supports patch semantics.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_web_property_ad_words_links_patch/6"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_web_property_ad_words_links_patch/6","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - ID of the account which the given web property belongs to.\n*   `web_property_id` (*type:* `String.t`) - Web property ID to retrieve the Google Ads link for.\n*   `web_property_ad_words_link_id` (*type:* `String.t`) - Web property-Google Ads link ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:body` (*type:* `GoogleApi.Analytics.V3.Model.EntityAdWordsLink.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_web_property_ad_words_links_patch/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_web_property_ad_words_links_patch/6","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.EntityAdWordsLink{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_web_property_ad_words_links_patch/6-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_web_property_ad_words_links_update/6","doc":"Updates an existing webProperty-Google Ads link.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_web_property_ad_words_links_update/6"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_web_property_ad_words_links_update/6","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - ID of the account which the given web property belongs to.\n*   `web_property_id` (*type:* `String.t`) - Web property ID to retrieve the Google Ads link for.\n*   `web_property_ad_words_link_id` (*type:* `String.t`) - Web property-Google Ads link ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:body` (*type:* `GoogleApi.Analytics.V3.Model.EntityAdWordsLink.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_web_property_ad_words_links_update/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_web_property_ad_words_links_update/6","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.EntityAdWordsLink{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_web_property_ad_words_links_update/6-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_webproperties_get/5","doc":"Gets a web property to which the user has access.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_webproperties_get/5"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_webproperties_get/5","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account ID to retrieve the web property for.\n*   `web_property_id` (*type:* `String.t`) - ID to retrieve the web property for.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_webproperties_get/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_webproperties_get/5","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.Webproperty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_webproperties_get/5-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_webproperties_insert/4","doc":"Create a new property if the account has fewer than 20 properties. Web properties are visible in the Google Analytics interface only if they have at least one profile.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_webproperties_insert/4"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_webproperties_insert/4","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account ID to create the web property for.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:body` (*type:* `GoogleApi.Analytics.V3.Model.Webproperty.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_webproperties_insert/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_webproperties_insert/4","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.Webproperty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_webproperties_insert/4-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_webproperties_list/4","doc":"Lists web properties to which the user has access.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_webproperties_list/4"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_webproperties_list/4","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account ID to retrieve web properties for. Can either be a specific account ID or '~all', which refers to all the accounts that user has access to.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:\"max-results\"` (*type:* `integer()`) - The maximum number of web properties to include in this response.\n    *   `:\"start-index\"` (*type:* `integer()`) - An index of the first entity to retrieve. Use this parameter as a pagination mechanism along with the max-results parameter.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_webproperties_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_webproperties_list/4","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.Webproperties{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_webproperties_list/4-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_webproperties_patch/5","doc":"Updates an existing web property. This method supports patch semantics.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_webproperties_patch/5"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_webproperties_patch/5","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account ID to which the web property belongs\n*   `web_property_id` (*type:* `String.t`) - Web property ID\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:body` (*type:* `GoogleApi.Analytics.V3.Model.Webproperty.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_webproperties_patch/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_webproperties_patch/5","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.Webproperty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_webproperties_patch/5-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_webproperties_update/5","doc":"Updates an existing web property.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_webproperties_update/5"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_webproperties_update/5","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account ID to which the web property belongs\n*   `web_property_id` (*type:* `String.t`) - Web property ID\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:body` (*type:* `GoogleApi.Analytics.V3.Model.Webproperty.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_webproperties_update/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_webproperties_update/5","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.Webproperty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_webproperties_update/5-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_webproperty_user_links_delete/6","doc":"Removes a user from the given web property.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_webproperty_user_links_delete/6"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_webproperty_user_links_delete/6","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account ID to delete the user link for.\n*   `web_property_id` (*type:* `String.t`) - Web Property ID to delete the user link for.\n*   `link_id` (*type:* `String.t`) - Link ID to delete the user link for.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_webproperty_user_links_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_webproperty_user_links_delete/6","doc":"*   `{:ok, %{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_webproperty_user_links_delete/6-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_webproperty_user_links_insert/5","doc":"Adds a new user to the given web property.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_webproperty_user_links_insert/5"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_webproperty_user_links_insert/5","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account ID to create the user link for.\n*   `web_property_id` (*type:* `String.t`) - Web Property ID to create the user link for.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:body` (*type:* `GoogleApi.Analytics.V3.Model.EntityUserLink.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_webproperty_user_links_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_webproperty_user_links_insert/5","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.EntityUserLink{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_webproperty_user_links_insert/5-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_webproperty_user_links_list/5","doc":"Lists webProperty-user links for a given web property.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_webproperty_user_links_list/5"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_webproperty_user_links_list/5","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account ID which the given web property belongs to.\n*   `web_property_id` (*type:* `String.t`) - Web Property ID for the webProperty-user links to retrieve. Can either be a specific web property ID or '~all', which refers to all the web properties that user has access to.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:\"max-results\"` (*type:* `integer()`) - The maximum number of webProperty-user Links to include in this response.\n    *   `:\"start-index\"` (*type:* `integer()`) - An index of the first webProperty-user link to retrieve. Use this parameter as a pagination mechanism along with the max-results parameter.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_webproperty_user_links_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_webproperty_user_links_list/5","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.EntityUserLinks{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_webproperty_user_links_list/5-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Management.analytics_management_webproperty_user_links_update/6","doc":"Updates permissions for an existing user on the given web property.","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_webproperty_user_links_update/6"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Management.analytics_management_webproperty_user_links_update/6","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `account_id` (*type:* `String.t`) - Account ID to update the account-user link for.\n*   `web_property_id` (*type:* `String.t`) - Web property ID to update the account-user link for.\n*   `link_id` (*type:* `String.t`) - Link ID to update the account-user link for.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:body` (*type:* `GoogleApi.Analytics.V3.Model.EntityUserLink.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_webproperty_user_links_update/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Management.analytics_management_webproperty_user_links_update/6","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.EntityUserLink{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Management.html#analytics_management_webproperty_user_links_update/6-returns"},{"type":"module","title":"GoogleApi.Analytics.V3.Api.Metadata","doc":"API calls for all endpoints tagged `Metadata`.","ref":"GoogleApi.Analytics.V3.Api.Metadata.html"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Metadata.analytics_metadata_columns_list/4","doc":"Lists all columns for a report type","ref":"GoogleApi.Analytics.V3.Api.Metadata.html#analytics_metadata_columns_list/4"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Metadata.analytics_metadata_columns_list/4","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `report_type` (*type:* `String.t`) - Report type. Allowed Values: 'ga'. Where 'ga' corresponds to the Core Reporting API\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Metadata.html#analytics_metadata_columns_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Metadata.analytics_metadata_columns_list/4","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.Columns{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Metadata.html#analytics_metadata_columns_list/4-returns"},{"type":"module","title":"GoogleApi.Analytics.V3.Api.Provisioning","doc":"API calls for all endpoints tagged `Provisioning`.","ref":"GoogleApi.Analytics.V3.Api.Provisioning.html"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Provisioning.analytics_provisioning_create_account_ticket/3","doc":"Creates an account ticket.","ref":"GoogleApi.Analytics.V3.Api.Provisioning.html#analytics_provisioning_create_account_ticket/3"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Provisioning.analytics_provisioning_create_account_ticket/3","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:body` (*type:* `GoogleApi.Analytics.V3.Model.AccountTicket.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Provisioning.html#analytics_provisioning_create_account_ticket/3-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Provisioning.analytics_provisioning_create_account_ticket/3","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.AccountTicket{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Provisioning.html#analytics_provisioning_create_account_ticket/3-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.Provisioning.analytics_provisioning_create_account_tree/3","doc":"Provision account.","ref":"GoogleApi.Analytics.V3.Api.Provisioning.html#analytics_provisioning_create_account_tree/3"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.Provisioning.analytics_provisioning_create_account_tree/3","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:body` (*type:* `GoogleApi.Analytics.V3.Model.AccountTreeRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.Provisioning.html#analytics_provisioning_create_account_tree/3-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.Provisioning.analytics_provisioning_create_account_tree/3","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.AccountTreeResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.Provisioning.html#analytics_provisioning_create_account_tree/3-returns"},{"type":"module","title":"GoogleApi.Analytics.V3.Api.UserDeletion","doc":"API calls for all endpoints tagged `UserDeletion`.","ref":"GoogleApi.Analytics.V3.Api.UserDeletion.html"},{"type":"function","title":"GoogleApi.Analytics.V3.Api.UserDeletion.analytics_user_deletion_user_deletion_request_upsert/3","doc":"Insert or update a user deletion requests.","ref":"GoogleApi.Analytics.V3.Api.UserDeletion.html#analytics_user_deletion_user_deletion_request_upsert/3"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Api.UserDeletion.analytics_user_deletion_user_deletion_request_upsert/3","doc":"*   `connection` (*type:* `GoogleApi.Analytics.V3.Connection.t`) - Connection to server\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:body` (*type:* `GoogleApi.Analytics.V3.Model.UserDeletionRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Analytics.V3.Api.UserDeletion.html#analytics_user_deletion_user_deletion_request_upsert/3-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Api.UserDeletion.analytics_user_deletion_user_deletion_request_upsert/3","doc":"*   `{:ok, %GoogleApi.Analytics.V3.Model.UserDeletionRequest{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Analytics.V3.Api.UserDeletion.html#analytics_user_deletion_user_deletion_request_upsert/3-returns"},{"type":"module","title":"GoogleApi.Analytics.V3.Connection","doc":"Handle Tesla connections for GoogleApi.Analytics.V3.","ref":"GoogleApi.Analytics.V3.Connection.html"},{"type":"function","title":"GoogleApi.Analytics.V3.Connection.delete/3","doc":"Perform a DELETE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    delete(\"/users\")\n    delete(\"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\")\n    delete(client, \"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Analytics.V3.Connection.html#delete/3"},{"type":"function","title":"GoogleApi.Analytics.V3.Connection.delete!/3","doc":"Perform a DELETE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    delete!(\"/users\")\n    delete!(\"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\")\n    delete!(client, \"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Analytics.V3.Connection.html#delete!/3"},{"type":"function","title":"GoogleApi.Analytics.V3.Connection.execute/2","doc":"Execute a request on this connection","ref":"GoogleApi.Analytics.V3.Connection.html#execute/2"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Connection.execute/2","doc":"*   `{:ok, Tesla.Env.t}` - If the call was successful\n*   `{:error, reason}` - If the call failed","ref":"GoogleApi.Analytics.V3.Connection.html#execute/2-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Connection.get/3","doc":"Perform a GET request.\n\nSee `request/1` or `request/2` for options definition.\n\n    get(\"/users\")\n    get(\"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\")\n    get(client, \"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Analytics.V3.Connection.html#get/3"},{"type":"function","title":"GoogleApi.Analytics.V3.Connection.get!/3","doc":"Perform a GET request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    get!(\"/users\")\n    get!(\"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\")\n    get!(client, \"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Analytics.V3.Connection.html#get!/3"},{"type":"function","title":"GoogleApi.Analytics.V3.Connection.head/3","doc":"Perform a HEAD request.\n\nSee `request/1` or `request/2` for options definition.\n\n    head(\"/users\")\n    head(\"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\")\n    head(client, \"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Analytics.V3.Connection.html#head/3"},{"type":"function","title":"GoogleApi.Analytics.V3.Connection.head!/3","doc":"Perform a HEAD request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    head!(\"/users\")\n    head!(\"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\")\n    head!(client, \"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Analytics.V3.Connection.html#head!/3"},{"type":"function","title":"GoogleApi.Analytics.V3.Connection.new/0","doc":"Configure an authless client connection","ref":"GoogleApi.Analytics.V3.Connection.html#new/0"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Connection.new/0","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.Analytics.V3.Connection.html#new/0-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Connection.new/1","doc":"Configure a client connection using a function which yields a Bearer token.","ref":"GoogleApi.Analytics.V3.Connection.html#new/1"},{"type":"function","title":"Parameters - GoogleApi.Analytics.V3.Connection.new/1","doc":"*   `token_fetcher` (*type:* `list(String.t()) -> String.t()`) - Callback\n    which provides an OAuth2 token given a list of scopes","ref":"GoogleApi.Analytics.V3.Connection.html#new/1-parameters"},{"type":"function","title":"Returns - GoogleApi.Analytics.V3.Connection.new/1","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.Analytics.V3.Connection.html#new/1-returns"},{"type":"function","title":"GoogleApi.Analytics.V3.Connection.options/3","doc":"Perform a OPTIONS request.\n\nSee `request/1` or `request/2` for options definition.\n\n    options(\"/users\")\n    options(\"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\")\n    options(client, \"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Analytics.V3.Connection.html#options/3"},{"type":"function","title":"GoogleApi.Analytics.V3.Connection.options!/3","doc":"Perform a OPTIONS request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    options!(\"/users\")\n    options!(\"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\")\n    options!(client, \"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Analytics.V3.Connection.html#options!/3"},{"type":"function","title":"GoogleApi.Analytics.V3.Connection.patch/4","doc":"Perform a PATCH request.\n\nSee `request/1` or `request/2` for options definition.\n\n    patch(\"/users\", %{name: \"Jon\"})\n    patch(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch(client, \"/users\", %{name: \"Jon\"})\n    patch(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Analytics.V3.Connection.html#patch/4"},{"type":"function","title":"GoogleApi.Analytics.V3.Connection.patch!/4","doc":"Perform a PATCH request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    patch!(\"/users\", %{name: \"Jon\"})\n    patch!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch!(client, \"/users\", %{name: \"Jon\"})\n    patch!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Analytics.V3.Connection.html#patch!/4"},{"type":"function","title":"GoogleApi.Analytics.V3.Connection.post/4","doc":"Perform a POST request.\n\nSee `request/1` or `request/2` for options definition.\n\n    post(\"/users\", %{name: \"Jon\"})\n    post(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post(client, \"/users\", %{name: \"Jon\"})\n    post(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Analytics.V3.Connection.html#post/4"},{"type":"function","title":"GoogleApi.Analytics.V3.Connection.post!/4","doc":"Perform a POST request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    post!(\"/users\", %{name: \"Jon\"})\n    post!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post!(client, \"/users\", %{name: \"Jon\"})\n    post!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Analytics.V3.Connection.html#post!/4"},{"type":"function","title":"GoogleApi.Analytics.V3.Connection.put/4","doc":"Perform a PUT request.\n\nSee `request/1` or `request/2` for options definition.\n\n    put(\"/users\", %{name: \"Jon\"})\n    put(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put(client, \"/users\", %{name: \"Jon\"})\n    put(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Analytics.V3.Connection.html#put/4"},{"type":"function","title":"GoogleApi.Analytics.V3.Connection.put!/4","doc":"Perform a PUT request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    put!(\"/users\", %{name: \"Jon\"})\n    put!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put!(client, \"/users\", %{name: \"Jon\"})\n    put!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Analytics.V3.Connection.html#put!/4"},{"type":"function","title":"GoogleApi.Analytics.V3.Connection.request/2","doc":"Perform a request.","ref":"GoogleApi.Analytics.V3.Connection.html#request/2"},{"type":"function","title":"Options - GoogleApi.Analytics.V3.Connection.request/2","doc":"- `:method` - the request method, one of [`:head`, `:get`, `:delete`, `:trace`, `:options`, `:post`, `:put`, `:patch`]\n- `:url` - either full url e.g. \"http://example.com/some/path\" or just \"/some/path\" if using `Tesla.Middleware.BaseUrl`\n- `:query` - a keyword list of query params, e.g. `[page: 1, per_page: 100]`\n- `:headers` - a keyworld list of headers, e.g. `[{\"content-type\", \"text/plain\"}]`\n- `:body` - depends on used middleware:\n    - by default it can be a binary\n    - if using e.g. JSON encoding middleware it can be a nested map\n    - if adapter supports it it can be a Stream with any of the above\n- `:opts` - custom, per-request middleware or adapter options","ref":"GoogleApi.Analytics.V3.Connection.html#request/2-options"},{"type":"function","title":"Examples - GoogleApi.Analytics.V3.Connection.request/2","doc":"ExampleApi.request(method: :get, url: \"/users/path\")\n\n    # use shortcut methods\n    ExampleApi.get(\"/users/1\")\n    ExampleApi.post(client, \"/users\", %{name: \"Jon\"})","ref":"GoogleApi.Analytics.V3.Connection.html#request/2-examples"},{"type":"function","title":"GoogleApi.Analytics.V3.Connection.request!/2","doc":"Perform request and raise in case of error.\n\nThis is similar to `request/2` behaviour from Tesla 0.x\n\nSee `request/2` for list of available options.","ref":"GoogleApi.Analytics.V3.Connection.html#request!/2"},{"type":"function","title":"GoogleApi.Analytics.V3.Connection.trace/3","doc":"Perform a TRACE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    trace(\"/users\")\n    trace(\"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\")\n    trace(client, \"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Analytics.V3.Connection.html#trace/3"},{"type":"function","title":"GoogleApi.Analytics.V3.Connection.trace!/3","doc":"Perform a TRACE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    trace!(\"/users\")\n    trace!(\"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\")\n    trace!(client, \"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Analytics.V3.Connection.html#trace!/3"},{"type":"type","title":"GoogleApi.Analytics.V3.Connection.option/0","doc":"Options that may be passed to a request function. See `request/2` for detailed descriptions.","ref":"GoogleApi.Analytics.V3.Connection.html#t:option/0"},{"type":"type","title":"GoogleApi.Analytics.V3.Connection.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Connection.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.Account","doc":"JSON template for Analytics account entry.","ref":"GoogleApi.Analytics.V3.Model.Account.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.Account","doc":"*   `childLink` (*type:* `GoogleApi.Analytics.V3.Model.AccountChildLink.t`, *default:* `nil`) - Child link for an account entry. Points to the list of web properties for this account.\n*   `created` (*type:* `DateTime.t`, *default:* `nil`) - Time the account was created.\n*   `id` (*type:* `String.t`, *default:* `nil`) - Account ID.\n*   `kind` (*type:* `String.t`, *default:* `analytics#account`) - Resource type for Analytics account.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Account name.\n*   `permissions` (*type:* `GoogleApi.Analytics.V3.Model.AccountPermissions.t`, *default:* `nil`) - Permissions the user has for this account.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - Link for this account.\n*   `starred` (*type:* `boolean()`, *default:* `nil`) - Indicates whether this account is starred or not.\n*   `updated` (*type:* `DateTime.t`, *default:* `nil`) - Time the account was last modified.","ref":"GoogleApi.Analytics.V3.Model.Account.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.Account.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.Account.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.Account.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.Account.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.AccountChildLink","doc":"Child link for an account entry. Points to the list of web properties for this account.","ref":"GoogleApi.Analytics.V3.Model.AccountChildLink.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.AccountChildLink","doc":"*   `href` (*type:* `String.t`, *default:* `nil`) - Link to the list of web properties for this account.\n*   `type` (*type:* `String.t`, *default:* `analytics#webproperties`) - Type of the child link. Its value is \"analytics#webproperties\".","ref":"GoogleApi.Analytics.V3.Model.AccountChildLink.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.AccountChildLink.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.AccountChildLink.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.AccountChildLink.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.AccountChildLink.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.AccountPermissions","doc":"Permissions the user has for this account.","ref":"GoogleApi.Analytics.V3.Model.AccountPermissions.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.AccountPermissions","doc":"*   `effective` (*type:* `list(String.t)`, *default:* `nil`) - All the permissions that the user has for this account. These include any implied permissions (e.g., EDIT implies VIEW).","ref":"GoogleApi.Analytics.V3.Model.AccountPermissions.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.AccountPermissions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.AccountPermissions.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.AccountPermissions.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.AccountPermissions.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.AccountRef","doc":"JSON template for a linked account.","ref":"GoogleApi.Analytics.V3.Model.AccountRef.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.AccountRef","doc":"*   `href` (*type:* `String.t`, *default:* `nil`) - Link for this account.\n*   `id` (*type:* `String.t`, *default:* `nil`) - Account ID.\n*   `kind` (*type:* `String.t`, *default:* `analytics#accountRef`) - Analytics account reference.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Account name.","ref":"GoogleApi.Analytics.V3.Model.AccountRef.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.AccountRef.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.AccountRef.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.AccountRef.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.AccountRef.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.AccountSummaries","doc":"An AccountSummary collection lists a summary of accounts, properties and views (profiles) to which the user has access. Each resource in the collection corresponds to a single AccountSummary.","ref":"GoogleApi.Analytics.V3.Model.AccountSummaries.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.AccountSummaries","doc":"*   `items` (*type:* `list(GoogleApi.Analytics.V3.Model.AccountSummary.t)`, *default:* `nil`) - A list of AccountSummaries.\n*   `itemsPerPage` (*type:* `integer()`, *default:* `nil`) - The maximum number of resources the response can contain, regardless of the actual number of resources returned. Its value ranges from 1 to 1000 with a value of 1000 by default, or otherwise specified by the max-results query parameter.\n*   `kind` (*type:* `String.t`, *default:* `analytics#accountSummaries`) - Collection type.\n*   `nextLink` (*type:* `String.t`, *default:* `nil`) - Link to next page for this AccountSummary collection.\n*   `previousLink` (*type:* `String.t`, *default:* `nil`) - Link to previous page for this AccountSummary collection.\n*   `startIndex` (*type:* `integer()`, *default:* `nil`) - The starting index of the resources, which is 1 by default or otherwise specified by the start-index query parameter.\n*   `totalResults` (*type:* `integer()`, *default:* `nil`) - The total number of results for the query, regardless of the number of results in the response.\n*   `username` (*type:* `String.t`, *default:* `nil`) - Email ID of the authenticated user","ref":"GoogleApi.Analytics.V3.Model.AccountSummaries.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.AccountSummaries.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.AccountSummaries.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.AccountSummaries.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.AccountSummaries.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.AccountSummary","doc":"JSON template for an Analytics AccountSummary. An AccountSummary is a lightweight tree comprised of properties/profiles.","ref":"GoogleApi.Analytics.V3.Model.AccountSummary.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.AccountSummary","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - Account ID.\n*   `kind` (*type:* `String.t`, *default:* `analytics#accountSummary`) - Resource type for Analytics AccountSummary.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Account name.\n*   `starred` (*type:* `boolean()`, *default:* `nil`) - Indicates whether this account is starred or not.\n*   `webProperties` (*type:* `list(GoogleApi.Analytics.V3.Model.WebPropertySummary.t)`, *default:* `nil`) - List of web properties under this account.","ref":"GoogleApi.Analytics.V3.Model.AccountSummary.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.AccountSummary.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.AccountSummary.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.AccountSummary.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.AccountSummary.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.AccountTicket","doc":"JSON template for an Analytics account ticket. The account ticket consists of the ticket ID and the basic information for the account, property and profile.","ref":"GoogleApi.Analytics.V3.Model.AccountTicket.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.AccountTicket","doc":"*   `account` (*type:* `GoogleApi.Analytics.V3.Model.Account.t`, *default:* `nil`) - Account for this ticket.\n*   `id` (*type:* `String.t`, *default:* `nil`) - Account ticket ID used to access the account ticket.\n*   `kind` (*type:* `String.t`, *default:* `analytics#accountTicket`) - Resource type for account ticket.\n*   `profile` (*type:* `GoogleApi.Analytics.V3.Model.Profile.t`, *default:* `nil`) - View (Profile) for the account.\n*   `redirectUri` (*type:* `String.t`, *default:* `nil`) - Redirect URI where the user will be sent after accepting Terms of Service. Must be configured in APIs console as a callback URL.\n*   `webproperty` (*type:* `GoogleApi.Analytics.V3.Model.Webproperty.t`, *default:* `nil`) - Web property for the account.","ref":"GoogleApi.Analytics.V3.Model.AccountTicket.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.AccountTicket.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.AccountTicket.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.AccountTicket.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.AccountTicket.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.AccountTreeRequest","doc":"JSON template for an Analytics account tree requests. The account tree request is used in the provisioning api to create an account, property, and view (profile). It contains the basic information required to make these fields.","ref":"GoogleApi.Analytics.V3.Model.AccountTreeRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.AccountTreeRequest","doc":"*   `accountName` (*type:* `String.t`, *default:* `nil`) - \n*   `kind` (*type:* `String.t`, *default:* `analytics#accountTreeRequest`) - Resource type for account ticket.\n*   `profileName` (*type:* `String.t`, *default:* `nil`) - \n*   `timezone` (*type:* `String.t`, *default:* `nil`) - \n*   `webpropertyName` (*type:* `String.t`, *default:* `nil`) - \n*   `websiteUrl` (*type:* `String.t`, *default:* `nil`) -","ref":"GoogleApi.Analytics.V3.Model.AccountTreeRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.AccountTreeRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.AccountTreeRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.AccountTreeRequest.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.AccountTreeRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.AccountTreeResponse","doc":"JSON template for an Analytics account tree response. The account tree response is used in the provisioning api to return the result of creating an account, property, and view (profile).","ref":"GoogleApi.Analytics.V3.Model.AccountTreeResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.AccountTreeResponse","doc":"*   `account` (*type:* `GoogleApi.Analytics.V3.Model.Account.t`, *default:* `nil`) - The account created.\n*   `kind` (*type:* `String.t`, *default:* `analytics#accountTreeResponse`) - Resource type for account ticket.\n*   `profile` (*type:* `GoogleApi.Analytics.V3.Model.Profile.t`, *default:* `nil`) - View (Profile) for the account.\n*   `webproperty` (*type:* `GoogleApi.Analytics.V3.Model.Webproperty.t`, *default:* `nil`) - Web property for the account.","ref":"GoogleApi.Analytics.V3.Model.AccountTreeResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.AccountTreeResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.AccountTreeResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.AccountTreeResponse.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.AccountTreeResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.Accounts","doc":"An account collection provides a list of Analytics accounts to which a user has access. The account collection is the entry point to all management information. Each resource in the collection corresponds to a single Analytics account.","ref":"GoogleApi.Analytics.V3.Model.Accounts.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.Accounts","doc":"*   `items` (*type:* `list(GoogleApi.Analytics.V3.Model.Account.t)`, *default:* `nil`) - A list of accounts.\n*   `itemsPerPage` (*type:* `integer()`, *default:* `nil`) - The maximum number of entries the response can contain, regardless of the actual number of entries returned. Its value ranges from 1 to 1000 with a value of 1000 by default, or otherwise specified by the max-results query parameter.\n*   `kind` (*type:* `String.t`, *default:* `analytics#accounts`) - Collection type.\n*   `nextLink` (*type:* `String.t`, *default:* `nil`) - Next link for this account collection.\n*   `previousLink` (*type:* `String.t`, *default:* `nil`) - Previous link for this account collection.\n*   `startIndex` (*type:* `integer()`, *default:* `nil`) - The starting index of the entries, which is 1 by default or otherwise specified by the start-index query parameter.\n*   `totalResults` (*type:* `integer()`, *default:* `nil`) - The total number of results for the query, regardless of the number of results in the response.\n*   `username` (*type:* `String.t`, *default:* `nil`) - Email ID of the authenticated user","ref":"GoogleApi.Analytics.V3.Model.Accounts.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.Accounts.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.Accounts.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.Accounts.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.Accounts.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.AdWordsAccount","doc":"JSON template for an Google Ads account.","ref":"GoogleApi.Analytics.V3.Model.AdWordsAccount.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.AdWordsAccount","doc":"*   `autoTaggingEnabled` (*type:* `boolean()`, *default:* `nil`) - True if auto-tagging is enabled on the Google Ads account. Read-only after the insert operation.\n*   `customerId` (*type:* `String.t`, *default:* `nil`) - Customer ID. This field is required when creating a Google Ads link.\n*   `kind` (*type:* `String.t`, *default:* `analytics#adWordsAccount`) - Resource type for Google Ads account.","ref":"GoogleApi.Analytics.V3.Model.AdWordsAccount.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.AdWordsAccount.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.AdWordsAccount.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.AdWordsAccount.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.AdWordsAccount.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.AnalyticsDataimportDeleteUploadDataRequest","doc":"Request template for the delete upload data request.","ref":"GoogleApi.Analytics.V3.Model.AnalyticsDataimportDeleteUploadDataRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.AnalyticsDataimportDeleteUploadDataRequest","doc":"*   `customDataImportUids` (*type:* `list(String.t)`, *default:* `nil`) - A list of upload UIDs.","ref":"GoogleApi.Analytics.V3.Model.AnalyticsDataimportDeleteUploadDataRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.AnalyticsDataimportDeleteUploadDataRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.AnalyticsDataimportDeleteUploadDataRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.AnalyticsDataimportDeleteUploadDataRequest.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.AnalyticsDataimportDeleteUploadDataRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.Column","doc":"JSON template for a metadata column.","ref":"GoogleApi.Analytics.V3.Model.Column.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.Column","doc":"*   `attributes` (*type:* `map()`, *default:* `nil`) - Map of attribute name and value for this column.\n*   `id` (*type:* `String.t`, *default:* `nil`) - Column id.\n*   `kind` (*type:* `String.t`, *default:* `analytics#column`) - Resource type for Analytics column.","ref":"GoogleApi.Analytics.V3.Model.Column.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.Column.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.Column.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.Column.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.Column.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.Columns","doc":"Lists columns (dimensions and metrics) for a particular report type.","ref":"GoogleApi.Analytics.V3.Model.Columns.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.Columns","doc":"*   `attributeNames` (*type:* `list(String.t)`, *default:* `nil`) - List of attributes names returned by columns.\n*   `etag` (*type:* `String.t`, *default:* `nil`) - Etag of collection. This etag can be compared with the last response etag to check if response has changed.\n*   `items` (*type:* `list(GoogleApi.Analytics.V3.Model.Column.t)`, *default:* `nil`) - List of columns for a report type.\n*   `kind` (*type:* `String.t`, *default:* `analytics#columns`) - Collection type.\n*   `totalResults` (*type:* `integer()`, *default:* `nil`) - Total number of columns returned in the response.","ref":"GoogleApi.Analytics.V3.Model.Columns.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.Columns.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.Columns.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.Columns.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.Columns.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.CustomDataSource","doc":"JSON template for an Analytics custom data source.","ref":"GoogleApi.Analytics.V3.Model.CustomDataSource.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.CustomDataSource","doc":"*   `accountId` (*type:* `String.t`, *default:* `nil`) - Account ID to which this custom data source belongs.\n*   `childLink` (*type:* `GoogleApi.Analytics.V3.Model.CustomDataSourceChildLink.t`, *default:* `nil`) - \n*   `created` (*type:* `DateTime.t`, *default:* `nil`) - Time this custom data source was created.\n*   `description` (*type:* `String.t`, *default:* `nil`) - Description of custom data source.\n*   `id` (*type:* `String.t`, *default:* `nil`) - Custom data source ID.\n*   `importBehavior` (*type:* `String.t`, *default:* `nil`) - \n*   `kind` (*type:* `String.t`, *default:* `analytics#customDataSource`) - Resource type for Analytics custom data source.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of this custom data source.\n*   `parentLink` (*type:* `GoogleApi.Analytics.V3.Model.CustomDataSourceParentLink.t`, *default:* `nil`) - Parent link for this custom data source. Points to the web property to which this custom data source belongs.\n*   `profilesLinked` (*type:* `list(String.t)`, *default:* `nil`) - IDs of views (profiles) linked to the custom data source.\n*   `schema` (*type:* `list(String.t)`, *default:* `nil`) - Collection of schema headers of the custom data source.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - Link for this Analytics custom data source.\n*   `type` (*type:* `String.t`, *default:* `nil`) - Type of the custom data source.\n*   `updated` (*type:* `DateTime.t`, *default:* `nil`) - Time this custom data source was last modified.\n*   `uploadType` (*type:* `String.t`, *default:* `nil`) - Upload type of the custom data source.\n*   `webPropertyId` (*type:* `String.t`, *default:* `nil`) - Web property ID of the form UA-XXXXX-YY to which this custom data source belongs.","ref":"GoogleApi.Analytics.V3.Model.CustomDataSource.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.CustomDataSource.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.CustomDataSource.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.CustomDataSource.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.CustomDataSource.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.CustomDataSourceChildLink","doc":"","ref":"GoogleApi.Analytics.V3.Model.CustomDataSourceChildLink.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.CustomDataSourceChildLink","doc":"*   `href` (*type:* `String.t`, *default:* `nil`) - Link to the list of daily uploads for this custom data source. Link to the list of uploads for this custom data source.\n*   `type` (*type:* `String.t`, *default:* `nil`) - Value is \"analytics#dailyUploads\". Value is \"analytics#uploads\".","ref":"GoogleApi.Analytics.V3.Model.CustomDataSourceChildLink.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.CustomDataSourceChildLink.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.CustomDataSourceChildLink.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.CustomDataSourceChildLink.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.CustomDataSourceChildLink.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.CustomDataSourceParentLink","doc":"Parent link for this custom data source. Points to the web property to which this custom data source belongs.","ref":"GoogleApi.Analytics.V3.Model.CustomDataSourceParentLink.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.CustomDataSourceParentLink","doc":"*   `href` (*type:* `String.t`, *default:* `nil`) - Link to the web property to which this custom data source belongs.\n*   `type` (*type:* `String.t`, *default:* `analytics#webproperty`) - Value is \"analytics#webproperty\".","ref":"GoogleApi.Analytics.V3.Model.CustomDataSourceParentLink.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.CustomDataSourceParentLink.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.CustomDataSourceParentLink.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.CustomDataSourceParentLink.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.CustomDataSourceParentLink.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.CustomDataSources","doc":"Lists Analytics custom data sources to which the user has access. Each resource in the collection corresponds to a single Analytics custom data source.","ref":"GoogleApi.Analytics.V3.Model.CustomDataSources.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.CustomDataSources","doc":"*   `items` (*type:* `list(GoogleApi.Analytics.V3.Model.CustomDataSource.t)`, *default:* `nil`) - Collection of custom data sources.\n*   `itemsPerPage` (*type:* `integer()`, *default:* `nil`) - The maximum number of resources the response can contain, regardless of the actual number of resources returned. Its value ranges from 1 to 1000 with a value of 1000 by default, or otherwise specified by the max-results query parameter.\n*   `kind` (*type:* `String.t`, *default:* `analytics#customDataSources`) - Collection type.\n*   `nextLink` (*type:* `String.t`, *default:* `nil`) - Link to next page for this custom data source collection.\n*   `previousLink` (*type:* `String.t`, *default:* `nil`) - Link to previous page for this custom data source collection.\n*   `startIndex` (*type:* `integer()`, *default:* `nil`) - The starting index of the resources, which is 1 by default or otherwise specified by the start-index query parameter.\n*   `totalResults` (*type:* `integer()`, *default:* `nil`) - The total number of results for the query, regardless of the number of results in the response.\n*   `username` (*type:* `String.t`, *default:* `nil`) - Email ID of the authenticated user","ref":"GoogleApi.Analytics.V3.Model.CustomDataSources.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.CustomDataSources.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.CustomDataSources.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.CustomDataSources.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.CustomDataSources.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.CustomDimension","doc":"JSON template for Analytics Custom Dimension.","ref":"GoogleApi.Analytics.V3.Model.CustomDimension.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.CustomDimension","doc":"*   `accountId` (*type:* `String.t`, *default:* `nil`) - Account ID.\n*   `active` (*type:* `boolean()`, *default:* `nil`) - Boolean indicating whether the custom dimension is active.\n*   `created` (*type:* `DateTime.t`, *default:* `nil`) - Time the custom dimension was created.\n*   `id` (*type:* `String.t`, *default:* `nil`) - Custom dimension ID.\n*   `index` (*type:* `integer()`, *default:* `nil`) - Index of the custom dimension.\n*   `kind` (*type:* `String.t`, *default:* `analytics#customDimension`) - Kind value for a custom dimension. Set to \"analytics#customDimension\". It is a read-only field.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the custom dimension.\n*   `parentLink` (*type:* `GoogleApi.Analytics.V3.Model.CustomDimensionParentLink.t`, *default:* `nil`) - Parent link for the custom dimension. Points to the property to which the custom dimension belongs.\n*   `scope` (*type:* `String.t`, *default:* `nil`) - Scope of the custom dimension: HIT, SESSION, USER or PRODUCT.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - Link for the custom dimension\n*   `updated` (*type:* `DateTime.t`, *default:* `nil`) - Time the custom dimension was last modified.\n*   `webPropertyId` (*type:* `String.t`, *default:* `nil`) - Property ID.","ref":"GoogleApi.Analytics.V3.Model.CustomDimension.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.CustomDimension.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.CustomDimension.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.CustomDimension.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.CustomDimension.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.CustomDimensionParentLink","doc":"Parent link for the custom dimension. Points to the property to which the custom dimension belongs.","ref":"GoogleApi.Analytics.V3.Model.CustomDimensionParentLink.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.CustomDimensionParentLink","doc":"*   `href` (*type:* `String.t`, *default:* `nil`) - Link to the property to which the custom dimension belongs.\n*   `type` (*type:* `String.t`, *default:* `analytics#webproperty`) - Type of the parent link. Set to \"analytics#webproperty\".","ref":"GoogleApi.Analytics.V3.Model.CustomDimensionParentLink.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.CustomDimensionParentLink.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.CustomDimensionParentLink.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.CustomDimensionParentLink.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.CustomDimensionParentLink.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.CustomDimensions","doc":"A custom dimension collection lists Analytics custom dimensions to which the user has access. Each resource in the collection corresponds to a single Analytics custom dimension.","ref":"GoogleApi.Analytics.V3.Model.CustomDimensions.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.CustomDimensions","doc":"*   `items` (*type:* `list(GoogleApi.Analytics.V3.Model.CustomDimension.t)`, *default:* `nil`) - Collection of custom dimensions.\n*   `itemsPerPage` (*type:* `integer()`, *default:* `nil`) - The maximum number of resources the response can contain, regardless of the actual number of resources returned. Its value ranges from 1 to 1000 with a value of 1000 by default, or otherwise specified by the max-results query parameter.\n*   `kind` (*type:* `String.t`, *default:* `analytics#customDimensions`) - Collection type.\n*   `nextLink` (*type:* `String.t`, *default:* `nil`) - Link to next page for this custom dimension collection.\n*   `previousLink` (*type:* `String.t`, *default:* `nil`) - Link to previous page for this custom dimension collection.\n*   `startIndex` (*type:* `integer()`, *default:* `nil`) - The starting index of the resources, which is 1 by default or otherwise specified by the start-index query parameter.\n*   `totalResults` (*type:* `integer()`, *default:* `nil`) - The total number of results for the query, regardless of the number of results in the response.\n*   `username` (*type:* `String.t`, *default:* `nil`) - Email ID of the authenticated user","ref":"GoogleApi.Analytics.V3.Model.CustomDimensions.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.CustomDimensions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.CustomDimensions.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.CustomDimensions.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.CustomDimensions.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.CustomMetric","doc":"JSON template for Analytics Custom Metric.","ref":"GoogleApi.Analytics.V3.Model.CustomMetric.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.CustomMetric","doc":"*   `accountId` (*type:* `String.t`, *default:* `nil`) - Account ID.\n*   `active` (*type:* `boolean()`, *default:* `nil`) - Boolean indicating whether the custom metric is active.\n*   `created` (*type:* `DateTime.t`, *default:* `nil`) - Time the custom metric was created.\n*   `id` (*type:* `String.t`, *default:* `nil`) - Custom metric ID.\n*   `index` (*type:* `integer()`, *default:* `nil`) - Index of the custom metric.\n*   `kind` (*type:* `String.t`, *default:* `analytics#customMetric`) - Kind value for a custom metric. Set to \"analytics#customMetric\". It is a read-only field.\n*   `max_value` (*type:* `String.t`, *default:* `nil`) - Max value of custom metric.\n*   `min_value` (*type:* `String.t`, *default:* `nil`) - Min value of custom metric.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the custom metric.\n*   `parentLink` (*type:* `GoogleApi.Analytics.V3.Model.CustomMetricParentLink.t`, *default:* `nil`) - Parent link for the custom metric. Points to the property to which the custom metric belongs.\n*   `scope` (*type:* `String.t`, *default:* `nil`) - Scope of the custom metric: HIT or PRODUCT.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - Link for the custom metric\n*   `type` (*type:* `String.t`, *default:* `nil`) - Data type of custom metric.\n*   `updated` (*type:* `DateTime.t`, *default:* `nil`) - Time the custom metric was last modified.\n*   `webPropertyId` (*type:* `String.t`, *default:* `nil`) - Property ID.","ref":"GoogleApi.Analytics.V3.Model.CustomMetric.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.CustomMetric.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.CustomMetric.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.CustomMetric.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.CustomMetric.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.CustomMetricParentLink","doc":"Parent link for the custom metric. Points to the property to which the custom metric belongs.","ref":"GoogleApi.Analytics.V3.Model.CustomMetricParentLink.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.CustomMetricParentLink","doc":"*   `href` (*type:* `String.t`, *default:* `nil`) - Link to the property to which the custom metric belongs.\n*   `type` (*type:* `String.t`, *default:* `analytics#webproperty`) - Type of the parent link. Set to \"analytics#webproperty\".","ref":"GoogleApi.Analytics.V3.Model.CustomMetricParentLink.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.CustomMetricParentLink.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.CustomMetricParentLink.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.CustomMetricParentLink.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.CustomMetricParentLink.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.CustomMetrics","doc":"A custom metric collection lists Analytics custom metrics to which the user has access. Each resource in the collection corresponds to a single Analytics custom metric.","ref":"GoogleApi.Analytics.V3.Model.CustomMetrics.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.CustomMetrics","doc":"*   `items` (*type:* `list(GoogleApi.Analytics.V3.Model.CustomMetric.t)`, *default:* `nil`) - Collection of custom metrics.\n*   `itemsPerPage` (*type:* `integer()`, *default:* `nil`) - The maximum number of resources the response can contain, regardless of the actual number of resources returned. Its value ranges from 1 to 1000 with a value of 1000 by default, or otherwise specified by the max-results query parameter.\n*   `kind` (*type:* `String.t`, *default:* `analytics#customMetrics`) - Collection type.\n*   `nextLink` (*type:* `String.t`, *default:* `nil`) - Link to next page for this custom metric collection.\n*   `previousLink` (*type:* `String.t`, *default:* `nil`) - Link to previous page for this custom metric collection.\n*   `startIndex` (*type:* `integer()`, *default:* `nil`) - The starting index of the resources, which is 1 by default or otherwise specified by the start-index query parameter.\n*   `totalResults` (*type:* `integer()`, *default:* `nil`) - The total number of results for the query, regardless of the number of results in the response.\n*   `username` (*type:* `String.t`, *default:* `nil`) - Email ID of the authenticated user","ref":"GoogleApi.Analytics.V3.Model.CustomMetrics.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.CustomMetrics.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.CustomMetrics.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.CustomMetrics.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.CustomMetrics.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.EntityAdWordsLink","doc":"JSON template for Analytics Entity Google Ads Link.","ref":"GoogleApi.Analytics.V3.Model.EntityAdWordsLink.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.EntityAdWordsLink","doc":"*   `adWordsAccounts` (*type:* `list(GoogleApi.Analytics.V3.Model.AdWordsAccount.t)`, *default:* `nil`) - A list of Google Ads client accounts. These cannot be MCC accounts. This field is required when creating a Google Ads link. It cannot be empty.\n*   `entity` (*type:* `GoogleApi.Analytics.V3.Model.EntityAdWordsLinkEntity.t`, *default:* `nil`) - Web property being linked.\n*   `id` (*type:* `String.t`, *default:* `nil`) - Entity Google Ads link ID\n*   `kind` (*type:* `String.t`, *default:* `analytics#entityAdWordsLink`) - Resource type for entity Google Ads link.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the link. This field is required when creating a Google Ads link.\n*   `profileIds` (*type:* `list(String.t)`, *default:* `nil`) - IDs of linked Views (Profiles) represented as strings.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - URL link for this Google Analytics - Google Ads link.","ref":"GoogleApi.Analytics.V3.Model.EntityAdWordsLink.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.EntityAdWordsLink.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.EntityAdWordsLink.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.EntityAdWordsLink.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.EntityAdWordsLink.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.EntityAdWordsLinkEntity","doc":"Web property being linked.","ref":"GoogleApi.Analytics.V3.Model.EntityAdWordsLinkEntity.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.EntityAdWordsLinkEntity","doc":"*   `webPropertyRef` (*type:* `GoogleApi.Analytics.V3.Model.WebPropertyRef.t`, *default:* `nil`) -","ref":"GoogleApi.Analytics.V3.Model.EntityAdWordsLinkEntity.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.EntityAdWordsLinkEntity.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.EntityAdWordsLinkEntity.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.EntityAdWordsLinkEntity.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.EntityAdWordsLinkEntity.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.EntityAdWordsLinks","doc":"An entity Google Ads link collection provides a list of GA-Google Ads links Each resource in this collection corresponds to a single link.","ref":"GoogleApi.Analytics.V3.Model.EntityAdWordsLinks.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.EntityAdWordsLinks","doc":"*   `items` (*type:* `list(GoogleApi.Analytics.V3.Model.EntityAdWordsLink.t)`, *default:* `nil`) - A list of entity Google Ads links.\n*   `itemsPerPage` (*type:* `integer()`, *default:* `nil`) - The maximum number of entries the response can contain, regardless of the actual number of entries returned. Its value ranges from 1 to 1000 with a value of 1000 by default, or otherwise specified by the max-results query parameter.\n*   `kind` (*type:* `String.t`, *default:* `analytics#entityAdWordsLinks`) - Collection type.\n*   `nextLink` (*type:* `String.t`, *default:* `nil`) - Next link for this Google Ads link collection.\n*   `previousLink` (*type:* `String.t`, *default:* `nil`) - Previous link for this Google Ads link collection.\n*   `startIndex` (*type:* `integer()`, *default:* `nil`) - The starting index of the entries, which is 1 by default or otherwise specified by the start-index query parameter.\n*   `totalResults` (*type:* `integer()`, *default:* `nil`) - The total number of results for the query, regardless of the number of results in the response.","ref":"GoogleApi.Analytics.V3.Model.EntityAdWordsLinks.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.EntityAdWordsLinks.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.EntityAdWordsLinks.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.EntityAdWordsLinks.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.EntityAdWordsLinks.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.EntityUserLink","doc":"JSON template for an Analytics Entity-User Link. Returns permissions that a user has for an entity.","ref":"GoogleApi.Analytics.V3.Model.EntityUserLink.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.EntityUserLink","doc":"*   `entity` (*type:* `GoogleApi.Analytics.V3.Model.EntityUserLinkEntity.t`, *default:* `nil`) - Entity for this link. It can be an account, a web property, or a view (profile).\n*   `id` (*type:* `String.t`, *default:* `nil`) - Entity user link ID\n*   `kind` (*type:* `String.t`, *default:* `analytics#entityUserLink`) - Resource type for entity user link.\n*   `permissions` (*type:* `GoogleApi.Analytics.V3.Model.EntityUserLinkPermissions.t`, *default:* `nil`) - Permissions the user has for this entity.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - Self link for this resource.\n*   `userRef` (*type:* `GoogleApi.Analytics.V3.Model.UserRef.t`, *default:* `nil`) - User reference.","ref":"GoogleApi.Analytics.V3.Model.EntityUserLink.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.EntityUserLink.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.EntityUserLink.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.EntityUserLink.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.EntityUserLink.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.EntityUserLinkEntity","doc":"Entity for this link. It can be an account, a web property, or a view (profile).","ref":"GoogleApi.Analytics.V3.Model.EntityUserLinkEntity.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.EntityUserLinkEntity","doc":"*   `accountRef` (*type:* `GoogleApi.Analytics.V3.Model.AccountRef.t`, *default:* `nil`) - Account for this link.\n*   `profileRef` (*type:* `GoogleApi.Analytics.V3.Model.ProfileRef.t`, *default:* `nil`) - View (Profile) for this link.\n*   `webPropertyRef` (*type:* `GoogleApi.Analytics.V3.Model.WebPropertyRef.t`, *default:* `nil`) - Web property for this link.","ref":"GoogleApi.Analytics.V3.Model.EntityUserLinkEntity.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.EntityUserLinkEntity.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.EntityUserLinkEntity.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.EntityUserLinkEntity.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.EntityUserLinkEntity.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.EntityUserLinkPermissions","doc":"Permissions the user has for this entity.","ref":"GoogleApi.Analytics.V3.Model.EntityUserLinkPermissions.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.EntityUserLinkPermissions","doc":"*   `effective` (*type:* `list(String.t)`, *default:* `nil`) - Effective permissions represent all the permissions that a user has for this entity. These include any implied permissions (e.g., EDIT implies VIEW) or inherited permissions from the parent entity. Effective permissions are read-only.\n*   `local` (*type:* `list(String.t)`, *default:* `nil`) - Permissions that a user has been assigned at this very level. Does not include any implied or inherited permissions. Local permissions are modifiable.","ref":"GoogleApi.Analytics.V3.Model.EntityUserLinkPermissions.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.EntityUserLinkPermissions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.EntityUserLinkPermissions.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.EntityUserLinkPermissions.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.EntityUserLinkPermissions.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.EntityUserLinks","doc":"An entity user link collection provides a list of Analytics ACL links Each resource in this collection corresponds to a single link.","ref":"GoogleApi.Analytics.V3.Model.EntityUserLinks.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.EntityUserLinks","doc":"*   `items` (*type:* `list(GoogleApi.Analytics.V3.Model.EntityUserLink.t)`, *default:* `nil`) - A list of entity user links.\n*   `itemsPerPage` (*type:* `integer()`, *default:* `nil`) - The maximum number of entries the response can contain, regardless of the actual number of entries returned. Its value ranges from 1 to 1000 with a value of 1000 by default, or otherwise specified by the max-results query parameter.\n*   `kind` (*type:* `String.t`, *default:* `analytics#entityUserLinks`) - Collection type.\n*   `nextLink` (*type:* `String.t`, *default:* `nil`) - Next link for this account collection.\n*   `previousLink` (*type:* `String.t`, *default:* `nil`) - Previous link for this account collection.\n*   `startIndex` (*type:* `integer()`, *default:* `nil`) - The starting index of the entries, which is 1 by default or otherwise specified by the start-index query parameter.\n*   `totalResults` (*type:* `integer()`, *default:* `nil`) - The total number of results for the query, regardless of the number of results in the response.","ref":"GoogleApi.Analytics.V3.Model.EntityUserLinks.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.EntityUserLinks.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.EntityUserLinks.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.EntityUserLinks.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.EntityUserLinks.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.Experiment","doc":"JSON template for Analytics experiment resource.","ref":"GoogleApi.Analytics.V3.Model.Experiment.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.Experiment","doc":"*   `accountId` (*type:* `String.t`, *default:* `nil`) - Account ID to which this experiment belongs. This field is read-only.\n*   `created` (*type:* `DateTime.t`, *default:* `nil`) - Time the experiment was created. This field is read-only.\n*   `description` (*type:* `String.t`, *default:* `nil`) - Notes about this experiment.\n*   `editableInGaUi` (*type:* `boolean()`, *default:* `nil`) - If true, the end user will be able to edit the experiment via the Google Analytics user interface.\n*   `endTime` (*type:* `DateTime.t`, *default:* `nil`) - The ending time of the experiment (the time the status changed from RUNNING to ENDED). This field is present only if the experiment has ended. This field is read-only.\n*   `equalWeighting` (*type:* `boolean()`, *default:* `nil`) - Boolean specifying whether to distribute traffic evenly across all variations. If the value is False, content experiments follows the default behavior of adjusting traffic dynamically based on variation performance. Optional -- defaults to False. This field may not be changed for an experiment whose status is ENDED.\n*   `id` (*type:* `String.t`, *default:* `nil`) - Experiment ID. Required for patch and update. Disallowed for create.\n*   `internalWebPropertyId` (*type:* `String.t`, *default:* `nil`) - Internal ID for the web property to which this experiment belongs. This field is read-only.\n*   `kind` (*type:* `String.t`, *default:* `analytics#experiment`) - Resource type for an Analytics experiment. This field is read-only.\n*   `minimumExperimentLengthInDays` (*type:* `integer()`, *default:* `nil`) - An integer number in [3, 90]. Specifies the minimum length of the experiment. Can be changed for a running experiment. This field may not be changed for an experiments whose status is ENDED.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Experiment name. This field may not be changed for an experiment whose status is ENDED. This field is required when creating an experiment.\n*   `objectiveMetric` (*type:* `String.t`, *default:* `nil`) - The metric that the experiment is optimizing. Valid values: \"ga:goal(n)Completions\", \"ga:adsenseAdsClicks\", \"ga:adsenseAdsViewed\", \"ga:adsenseRevenue\", \"ga:bounces\", \"ga:pageviews\", \"ga:sessionDuration\", \"ga:transactions\", \"ga:transactionRevenue\". This field is required if status is \"RUNNING\" and servingFramework is one of \"REDIRECT\" or \"API\".\n*   `optimizationType` (*type:* `String.t`, *default:* `nil`) - Whether the objectiveMetric should be minimized or maximized. Possible values: \"MAXIMUM\", \"MINIMUM\". Optional--defaults to \"MAXIMUM\". Cannot be specified without objectiveMetric. Cannot be modified when status is \"RUNNING\" or \"ENDED\".\n*   `parentLink` (*type:* `GoogleApi.Analytics.V3.Model.ExperimentParentLink.t`, *default:* `nil`) - Parent link for an experiment. Points to the view (profile) to which this experiment belongs.\n*   `profileId` (*type:* `String.t`, *default:* `nil`) - View (Profile) ID to which this experiment belongs. This field is read-only.\n*   `reasonExperimentEnded` (*type:* `String.t`, *default:* `nil`) - Why the experiment ended. Possible values: \"STOPPED_BY_USER\", \"WINNER_FOUND\", \"EXPERIMENT_EXPIRED\", \"ENDED_WITH_NO_WINNER\", \"GOAL_OBJECTIVE_CHANGED\". \"ENDED_WITH_NO_WINNER\" means that the experiment didn't expire but no winner was projected to be found. If the experiment status is changed via the API to ENDED this field is set to STOPPED_BY_USER. This field is read-only.\n*   `rewriteVariationUrlsAsOriginal` (*type:* `boolean()`, *default:* `nil`) - Boolean specifying whether variations URLS are rewritten to match those of the original. This field may not be changed for an experiments whose status is ENDED.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - Link for this experiment. This field is read-only.\n*   `servingFramework` (*type:* `String.t`, *default:* `nil`) - The framework used to serve the experiment variations and evaluate the results. One of:  \n    - REDIRECT: Google Analytics redirects traffic to different variation pages, reports the chosen variation and evaluates the results.\n    - API: Google Analytics chooses and reports the variation to serve and evaluates the results; the caller is responsible for serving the selected variation.\n    - EXTERNAL: The variations will be served externally and the chosen variation reported to Google Analytics. The caller is responsible for serving the selected variation and evaluating the results.\n*   `snippet` (*type:* `String.t`, *default:* `nil`) - The snippet of code to include on the control page(s). This field is read-only.\n*   `startTime` (*type:* `DateTime.t`, *default:* `nil`) - The starting time of the experiment (the time the status changed from READY_TO_RUN to RUNNING). This field is present only if the experiment has started. This field is read-only.\n*   `status` (*type:* `String.t`, *default:* `nil`) - Experiment status. Possible values: \"DRAFT\", \"READY_TO_RUN\", \"RUNNING\", \"ENDED\". Experiments can be created in the \"DRAFT\", \"READY_TO_RUN\" or \"RUNNING\" state. This field is required when creating an experiment.\n*   `trafficCoverage` (*type:* `float()`, *default:* `nil`) - A floating-point number in (0, 1]. Specifies the fraction of the traffic that participates in the experiment. Can be changed for a running experiment. This field may not be changed for an experiments whose status is ENDED.\n*   `updated` (*type:* `DateTime.t`, *default:* `nil`) - Time the experiment was last modified. This field is read-only.\n*   `variations` (*type:* `list(GoogleApi.Analytics.V3.Model.ExperimentVariations.t)`, *default:* `nil`) - Array of variations. The first variation in the array is the original. The number of variations may not change once an experiment is in the RUNNING state. At least two variations are required before status can be set to RUNNING.\n*   `webPropertyId` (*type:* `String.t`, *default:* `nil`) - Web property ID to which this experiment belongs. The web property ID is of the form UA-XXXXX-YY. This field is read-only.\n*   `winnerConfidenceLevel` (*type:* `float()`, *default:* `nil`) - A floating-point number in (0, 1). Specifies the necessary confidence level to choose a winner. This field may not be changed for an experiments whose status is ENDED.\n*   `winnerFound` (*type:* `boolean()`, *default:* `nil`) - Boolean specifying whether a winner has been found for this experiment. This field is read-only.","ref":"GoogleApi.Analytics.V3.Model.Experiment.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.Experiment.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.Experiment.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.Experiment.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.Experiment.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.ExperimentParentLink","doc":"Parent link for an experiment. Points to the view (profile) to which this experiment belongs.","ref":"GoogleApi.Analytics.V3.Model.ExperimentParentLink.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.ExperimentParentLink","doc":"*   `href` (*type:* `String.t`, *default:* `nil`) - Link to the view (profile) to which this experiment belongs. This field is read-only.\n*   `type` (*type:* `String.t`, *default:* `analytics#profile`) - Value is \"analytics#profile\". This field is read-only.","ref":"GoogleApi.Analytics.V3.Model.ExperimentParentLink.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.ExperimentParentLink.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.ExperimentParentLink.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.ExperimentParentLink.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.ExperimentParentLink.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.ExperimentVariations","doc":"","ref":"GoogleApi.Analytics.V3.Model.ExperimentVariations.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.ExperimentVariations","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - The name of the variation. This field is required when creating an experiment. This field may not be changed for an experiment whose status is ENDED.\n*   `status` (*type:* `String.t`, *default:* `nil`) - Status of the variation. Possible values: \"ACTIVE\", \"INACTIVE\". INACTIVE variations are not served. This field may not be changed for an experiment whose status is ENDED.\n*   `url` (*type:* `String.t`, *default:* `nil`) - The URL of the variation. This field may not be changed for an experiment whose status is RUNNING or ENDED.\n*   `weight` (*type:* `float()`, *default:* `nil`) - Weight that this variation should receive. Only present if the experiment is running. This field is read-only.\n*   `won` (*type:* `boolean()`, *default:* `nil`) - True if the experiment has ended and this variation performed (statistically) significantly better than the original. This field is read-only.","ref":"GoogleApi.Analytics.V3.Model.ExperimentVariations.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.ExperimentVariations.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.ExperimentVariations.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.ExperimentVariations.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.ExperimentVariations.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.Experiments","doc":"An experiment collection lists Analytics experiments to which the user has access. Each view (profile) can have a set of experiments. Each resource in the Experiment collection corresponds to a single Analytics experiment.","ref":"GoogleApi.Analytics.V3.Model.Experiments.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.Experiments","doc":"*   `items` (*type:* `list(GoogleApi.Analytics.V3.Model.Experiment.t)`, *default:* `nil`) - A list of experiments.\n*   `itemsPerPage` (*type:* `integer()`, *default:* `nil`) - The maximum number of resources the response can contain, regardless of the actual number of resources returned. Its value ranges from 1 to 1000 with a value of 1000 by default, or otherwise specified by the max-results query parameter.\n*   `kind` (*type:* `String.t`, *default:* `analytics#experiments`) - Collection type.\n*   `nextLink` (*type:* `String.t`, *default:* `nil`) - Link to next page for this experiment collection.\n*   `previousLink` (*type:* `String.t`, *default:* `nil`) - Link to previous page for this experiment collection.\n*   `startIndex` (*type:* `integer()`, *default:* `nil`) - The starting index of the resources, which is 1 by default or otherwise specified by the start-index query parameter.\n*   `totalResults` (*type:* `integer()`, *default:* `nil`) - The total number of results for the query, regardless of the number of resources in the result.\n*   `username` (*type:* `String.t`, *default:* `nil`) - Email ID of the authenticated user","ref":"GoogleApi.Analytics.V3.Model.Experiments.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.Experiments.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.Experiments.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.Experiments.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.Experiments.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.Filter","doc":"JSON template for an Analytics account filter.","ref":"GoogleApi.Analytics.V3.Model.Filter.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.Filter","doc":"*   `accountId` (*type:* `String.t`, *default:* `nil`) - Account ID to which this filter belongs.\n*   `advancedDetails` (*type:* `GoogleApi.Analytics.V3.Model.FilterAdvancedDetails.t`, *default:* `nil`) - Details for the filter of the type ADVANCED.\n*   `created` (*type:* `DateTime.t`, *default:* `nil`) - Time this filter was created.\n*   `excludeDetails` (*type:* `GoogleApi.Analytics.V3.Model.FilterExpression.t`, *default:* `nil`) - Details for the filter of the type EXCLUDE.\n*   `id` (*type:* `String.t`, *default:* `nil`) - Filter ID.\n*   `includeDetails` (*type:* `GoogleApi.Analytics.V3.Model.FilterExpression.t`, *default:* `nil`) - Details for the filter of the type INCLUDE.\n*   `kind` (*type:* `String.t`, *default:* `analytics#filter`) - Resource type for Analytics filter.\n*   `lowercaseDetails` (*type:* `GoogleApi.Analytics.V3.Model.FilterLowercaseDetails.t`, *default:* `nil`) - Details for the filter of the type LOWER.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of this filter.\n*   `parentLink` (*type:* `GoogleApi.Analytics.V3.Model.FilterParentLink.t`, *default:* `nil`) - Parent link for this filter. Points to the account to which this filter belongs.\n*   `searchAndReplaceDetails` (*type:* `GoogleApi.Analytics.V3.Model.FilterSearchAndReplaceDetails.t`, *default:* `nil`) - Details for the filter of the type SEARCH_AND_REPLACE.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - Link for this filter.\n*   `type` (*type:* `String.t`, *default:* `nil`) - Type of this filter. Possible values are INCLUDE, EXCLUDE, LOWERCASE, UPPERCASE, SEARCH_AND_REPLACE and ADVANCED.\n*   `updated` (*type:* `DateTime.t`, *default:* `nil`) - Time this filter was last modified.\n*   `uppercaseDetails` (*type:* `GoogleApi.Analytics.V3.Model.FilterUppercaseDetails.t`, *default:* `nil`) - Details for the filter of the type UPPER.","ref":"GoogleApi.Analytics.V3.Model.Filter.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.Filter.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.Filter.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.Filter.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.Filter.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.FilterAdvancedDetails","doc":"Details for the filter of the type ADVANCED.","ref":"GoogleApi.Analytics.V3.Model.FilterAdvancedDetails.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.FilterAdvancedDetails","doc":"*   `caseSensitive` (*type:* `boolean()`, *default:* `nil`) - Indicates if the filter expressions are case sensitive.\n*   `extractA` (*type:* `String.t`, *default:* `nil`) - Expression to extract from field A.\n*   `extractB` (*type:* `String.t`, *default:* `nil`) - Expression to extract from field B.\n*   `fieldA` (*type:* `String.t`, *default:* `nil`) - Field A.\n*   `fieldAIndex` (*type:* `integer()`, *default:* `nil`) - The Index of the custom dimension. Required if field is a CUSTOM_DIMENSION.\n*   `fieldARequired` (*type:* `boolean()`, *default:* `nil`) - Indicates if field A is required to match.\n*   `fieldB` (*type:* `String.t`, *default:* `nil`) - Field B.\n*   `fieldBIndex` (*type:* `integer()`, *default:* `nil`) - The Index of the custom dimension. Required if field is a CUSTOM_DIMENSION.\n*   `fieldBRequired` (*type:* `boolean()`, *default:* `nil`) - Indicates if field B is required to match.\n*   `outputConstructor` (*type:* `String.t`, *default:* `nil`) - Expression used to construct the output value.\n*   `outputToField` (*type:* `String.t`, *default:* `nil`) - Output field.\n*   `outputToFieldIndex` (*type:* `integer()`, *default:* `nil`) - The Index of the custom dimension. Required if field is a CUSTOM_DIMENSION.\n*   `overrideOutputField` (*type:* `boolean()`, *default:* `nil`) - Indicates if the existing value of the output field, if any, should be overridden by the output expression.","ref":"GoogleApi.Analytics.V3.Model.FilterAdvancedDetails.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.FilterAdvancedDetails.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.FilterAdvancedDetails.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.FilterAdvancedDetails.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.FilterAdvancedDetails.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.FilterExpression","doc":"JSON template for an Analytics filter expression.","ref":"GoogleApi.Analytics.V3.Model.FilterExpression.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.FilterExpression","doc":"*   `caseSensitive` (*type:* `boolean()`, *default:* `nil`) - Determines if the filter is case sensitive.\n*   `expressionValue` (*type:* `String.t`, *default:* `nil`) - Filter expression value\n*   `field` (*type:* `String.t`, *default:* `nil`) - Field to filter. Possible values:  \n    - Content and Traffic  \n    - PAGE_REQUEST_URI, \n    - PAGE_HOSTNAME, \n    - PAGE_TITLE, \n    - REFERRAL, \n    - COST_DATA_URI (Campaign target URL), \n    - HIT_TYPE, \n    - INTERNAL_SEARCH_TERM, \n    - INTERNAL_SEARCH_TYPE, \n    - SOURCE_PROPERTY_TRACKING_ID,   \n    - Campaign or AdGroup  \n    - CAMPAIGN_SOURCE, \n    - CAMPAIGN_MEDIUM, \n    - CAMPAIGN_NAME, \n    - CAMPAIGN_AD_GROUP, \n    - CAMPAIGN_TERM, \n    - CAMPAIGN_CONTENT, \n    - CAMPAIGN_CODE, \n    - CAMPAIGN_REFERRAL_PATH,   \n    - E-Commerce  \n    - TRANSACTION_COUNTRY, \n    - TRANSACTION_REGION, \n    - TRANSACTION_CITY, \n    - TRANSACTION_AFFILIATION (Store or order location), \n    - ITEM_NAME, \n    - ITEM_CODE, \n    - ITEM_VARIATION, \n    - TRANSACTION_ID, \n    - TRANSACTION_CURRENCY_CODE, \n    - PRODUCT_ACTION_TYPE,   \n    - Audience/Users  \n    - BROWSER, \n    - BROWSER_VERSION, \n    - BROWSER_SIZE, \n    - PLATFORM, \n    - PLATFORM_VERSION, \n    - LANGUAGE, \n    - SCREEN_RESOLUTION, \n    - SCREEN_COLORS, \n    - JAVA_ENABLED (Boolean Field), \n    - FLASH_VERSION, \n    - GEO_SPEED (Connection speed), \n    - VISITOR_TYPE, \n    - GEO_ORGANIZATION (ISP organization), \n    - GEO_DOMAIN, \n    - GEO_IP_ADDRESS, \n    - GEO_IP_VERSION,   \n    - Location  \n    - GEO_COUNTRY, \n    - GEO_REGION, \n    - GEO_CITY,   \n    - Event  \n    - EVENT_CATEGORY, \n    - EVENT_ACTION, \n    - EVENT_LABEL,   \n    - Other  \n    - CUSTOM_FIELD_1, \n    - CUSTOM_FIELD_2, \n    - USER_DEFINED_VALUE,   \n    - Application  \n    - APP_ID, \n    - APP_INSTALLER_ID, \n    - APP_NAME, \n    - APP_VERSION, \n    - SCREEN, \n    - IS_APP (Boolean Field), \n    - IS_FATAL_EXCEPTION (Boolean Field), \n    - EXCEPTION_DESCRIPTION,   \n    - Mobile device  \n    - IS_MOBILE (Boolean Field, Deprecated. Use DEVICE_CATEGORY=mobile), \n    - IS_TABLET (Boolean Field, Deprecated. Use DEVICE_CATEGORY=tablet), \n    - DEVICE_CATEGORY, \n    - MOBILE_HAS_QWERTY_KEYBOARD (Boolean Field), \n    - MOBILE_HAS_NFC_SUPPORT (Boolean Field), \n    - MOBILE_HAS_CELLULAR_RADIO (Boolean Field), \n    - MOBILE_HAS_WIFI_SUPPORT (Boolean Field), \n    - MOBILE_BRAND_NAME, \n    - MOBILE_MODEL_NAME, \n    - MOBILE_MARKETING_NAME, \n    - MOBILE_POINTING_METHOD,   \n    - Social  \n    - SOCIAL_NETWORK, \n    - SOCIAL_ACTION, \n    - SOCIAL_ACTION_TARGET,   \n    - Custom dimension  \n    - CUSTOM_DIMENSION (See accompanying field index),\n*   `fieldIndex` (*type:* `integer()`, *default:* `nil`) - The Index of the custom dimension. Set only if the field is a is CUSTOM_DIMENSION.\n*   `kind` (*type:* `String.t`, *default:* `analytics#filterExpression`) - Kind value for filter expression\n*   `matchType` (*type:* `String.t`, *default:* `nil`) - Match type for this filter. Possible values are BEGINS_WITH, EQUAL, ENDS_WITH, CONTAINS, or MATCHES. GEO_DOMAIN, GEO_IP_ADDRESS, PAGE_REQUEST_URI, or PAGE_HOSTNAME filters can use any match type; all other filters must use MATCHES.","ref":"GoogleApi.Analytics.V3.Model.FilterExpression.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.FilterExpression.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.FilterExpression.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.FilterExpression.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.FilterExpression.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.FilterLowercaseDetails","doc":"Details for the filter of the type LOWER.","ref":"GoogleApi.Analytics.V3.Model.FilterLowercaseDetails.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.FilterLowercaseDetails","doc":"*   `field` (*type:* `String.t`, *default:* `nil`) - Field to use in the filter.\n*   `fieldIndex` (*type:* `integer()`, *default:* `nil`) - The Index of the custom dimension. Required if field is a CUSTOM_DIMENSION.","ref":"GoogleApi.Analytics.V3.Model.FilterLowercaseDetails.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.FilterLowercaseDetails.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.FilterLowercaseDetails.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.FilterLowercaseDetails.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.FilterLowercaseDetails.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.FilterParentLink","doc":"Parent link for this filter. Points to the account to which this filter belongs.","ref":"GoogleApi.Analytics.V3.Model.FilterParentLink.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.FilterParentLink","doc":"*   `href` (*type:* `String.t`, *default:* `nil`) - Link to the account to which this filter belongs.\n*   `type` (*type:* `String.t`, *default:* `analytics#account`) - Value is \"analytics#account\".","ref":"GoogleApi.Analytics.V3.Model.FilterParentLink.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.FilterParentLink.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.FilterParentLink.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.FilterParentLink.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.FilterParentLink.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.FilterRef","doc":"JSON template for a profile filter link.","ref":"GoogleApi.Analytics.V3.Model.FilterRef.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.FilterRef","doc":"*   `accountId` (*type:* `String.t`, *default:* `nil`) - Account ID to which this filter belongs.\n*   `href` (*type:* `String.t`, *default:* `nil`) - Link for this filter.\n*   `id` (*type:* `String.t`, *default:* `nil`) - Filter ID.\n*   `kind` (*type:* `String.t`, *default:* `analytics#filterRef`) - Kind value for filter reference.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of this filter.","ref":"GoogleApi.Analytics.V3.Model.FilterRef.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.FilterRef.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.FilterRef.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.FilterRef.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.FilterRef.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.FilterSearchAndReplaceDetails","doc":"Details for the filter of the type SEARCH_AND_REPLACE.","ref":"GoogleApi.Analytics.V3.Model.FilterSearchAndReplaceDetails.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.FilterSearchAndReplaceDetails","doc":"*   `caseSensitive` (*type:* `boolean()`, *default:* `nil`) - Determines if the filter is case sensitive.\n*   `field` (*type:* `String.t`, *default:* `nil`) - Field to use in the filter.\n*   `fieldIndex` (*type:* `integer()`, *default:* `nil`) - The Index of the custom dimension. Required if field is a CUSTOM_DIMENSION.\n*   `replaceString` (*type:* `String.t`, *default:* `nil`) - Term to replace the search term with.\n*   `searchString` (*type:* `String.t`, *default:* `nil`) - Term to search.","ref":"GoogleApi.Analytics.V3.Model.FilterSearchAndReplaceDetails.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.FilterSearchAndReplaceDetails.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.FilterSearchAndReplaceDetails.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.FilterSearchAndReplaceDetails.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.FilterSearchAndReplaceDetails.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.FilterUppercaseDetails","doc":"Details for the filter of the type UPPER.","ref":"GoogleApi.Analytics.V3.Model.FilterUppercaseDetails.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.FilterUppercaseDetails","doc":"*   `field` (*type:* `String.t`, *default:* `nil`) - Field to use in the filter.\n*   `fieldIndex` (*type:* `integer()`, *default:* `nil`) - The Index of the custom dimension. Required if field is a CUSTOM_DIMENSION.","ref":"GoogleApi.Analytics.V3.Model.FilterUppercaseDetails.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.FilterUppercaseDetails.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.FilterUppercaseDetails.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.FilterUppercaseDetails.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.FilterUppercaseDetails.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.Filters","doc":"A filter collection lists filters created by users in an Analytics account. Each resource in the collection corresponds to a filter.","ref":"GoogleApi.Analytics.V3.Model.Filters.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.Filters","doc":"*   `items` (*type:* `list(GoogleApi.Analytics.V3.Model.Filter.t)`, *default:* `nil`) - A list of filters.\n*   `itemsPerPage` (*type:* `integer()`, *default:* `nil`) - The maximum number of resources the response can contain, regardless of the actual number of resources returned. Its value ranges from 1 to 1,000 with a value of 1000 by default, or otherwise specified by the max-results query parameter.\n*   `kind` (*type:* `String.t`, *default:* `analytics#filters`) - Collection type.\n*   `nextLink` (*type:* `String.t`, *default:* `nil`) - Link to next page for this filter collection.\n*   `previousLink` (*type:* `String.t`, *default:* `nil`) - Link to previous page for this filter collection.\n*   `startIndex` (*type:* `integer()`, *default:* `nil`) - The starting index of the resources, which is 1 by default or otherwise specified by the start-index query parameter.\n*   `totalResults` (*type:* `integer()`, *default:* `nil`) - The total number of results for the query, regardless of the number of results in the response.\n*   `username` (*type:* `String.t`, *default:* `nil`) - Email ID of the authenticated user","ref":"GoogleApi.Analytics.V3.Model.Filters.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.Filters.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.Filters.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.Filters.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.Filters.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.GaData","doc":"Analytics data for a given view (profile).","ref":"GoogleApi.Analytics.V3.Model.GaData.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.GaData","doc":"*   `columnHeaders` (*type:* `list(GoogleApi.Analytics.V3.Model.GaDataColumnHeaders.t)`, *default:* `nil`) - Column headers that list dimension names followed by the metric names. The order of dimensions and metrics is same as specified in the request.\n*   `containsSampledData` (*type:* `boolean()`, *default:* `nil`) - Determines if Analytics data contains samples.\n*   `dataLastRefreshed` (*type:* `String.t`, *default:* `nil`) - The last refreshed time in seconds for Analytics data.\n*   `dataTable` (*type:* `GoogleApi.Analytics.V3.Model.GaDataDataTable.t`, *default:* `nil`) - \n*   `id` (*type:* `String.t`, *default:* `nil`) - Unique ID for this data response.\n*   `itemsPerPage` (*type:* `integer()`, *default:* `nil`) - The maximum number of rows the response can contain, regardless of the actual number of rows returned. Its value ranges from 1 to 10,000 with a value of 1000 by default, or otherwise specified by the max-results query parameter.\n*   `kind` (*type:* `String.t`, *default:* `analytics#gaData`) - Resource type.\n*   `nextLink` (*type:* `String.t`, *default:* `nil`) - Link to next page for this Analytics data query.\n*   `previousLink` (*type:* `String.t`, *default:* `nil`) - Link to previous page for this Analytics data query.\n*   `profileInfo` (*type:* `GoogleApi.Analytics.V3.Model.GaDataProfileInfo.t`, *default:* `nil`) - Information for the view (profile), for which the Analytics data was requested.\n*   `query` (*type:* `GoogleApi.Analytics.V3.Model.GaDataQuery.t`, *default:* `nil`) - Analytics data request query parameters.\n*   `rows` (*type:* `list(list(String.t))`, *default:* `nil`) - Analytics data rows, where each row contains a list of dimension values followed by the metric values. The order of dimensions and metrics is same as specified in the request.\n*   `sampleSize` (*type:* `String.t`, *default:* `nil`) - The number of samples used to calculate the result.\n*   `sampleSpace` (*type:* `String.t`, *default:* `nil`) - Total size of the sample space from which the samples were selected.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - Link to this page.\n*   `totalResults` (*type:* `integer()`, *default:* `nil`) - The total number of rows for the query, regardless of the number of rows in the response.\n*   `totalsForAllResults` (*type:* `map()`, *default:* `nil`) - Total values for the requested metrics over all the results, not just the results returned in this response. The order of the metric totals is same as the metric order specified in the request.","ref":"GoogleApi.Analytics.V3.Model.GaData.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.GaData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.GaData.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.GaData.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.GaData.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.GaDataColumnHeaders","doc":"","ref":"GoogleApi.Analytics.V3.Model.GaDataColumnHeaders.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.GaDataColumnHeaders","doc":"*   `columnType` (*type:* `String.t`, *default:* `nil`) - Column Type. Either DIMENSION or METRIC.\n*   `dataType` (*type:* `String.t`, *default:* `nil`) - Data type. Dimension column headers have only STRING as the data type. Metric column headers have data types for metric values such as INTEGER, DOUBLE, CURRENCY etc.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Column name.","ref":"GoogleApi.Analytics.V3.Model.GaDataColumnHeaders.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.GaDataColumnHeaders.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.GaDataColumnHeaders.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.GaDataColumnHeaders.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.GaDataColumnHeaders.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.GaDataDataTable","doc":"","ref":"GoogleApi.Analytics.V3.Model.GaDataDataTable.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.GaDataDataTable","doc":"*   `cols` (*type:* `list(GoogleApi.Analytics.V3.Model.GaDataDataTableCols.t)`, *default:* `nil`) - \n*   `rows` (*type:* `list(GoogleApi.Analytics.V3.Model.GaDataDataTableRows.t)`, *default:* `nil`) -","ref":"GoogleApi.Analytics.V3.Model.GaDataDataTable.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.GaDataDataTable.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.GaDataDataTable.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.GaDataDataTable.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.GaDataDataTable.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.GaDataDataTableCols","doc":"","ref":"GoogleApi.Analytics.V3.Model.GaDataDataTableCols.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.GaDataDataTableCols","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - \n*   `label` (*type:* `String.t`, *default:* `nil`) - \n*   `type` (*type:* `String.t`, *default:* `nil`) -","ref":"GoogleApi.Analytics.V3.Model.GaDataDataTableCols.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.GaDataDataTableCols.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.GaDataDataTableCols.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.GaDataDataTableCols.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.GaDataDataTableCols.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.GaDataDataTableRows","doc":"","ref":"GoogleApi.Analytics.V3.Model.GaDataDataTableRows.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.GaDataDataTableRows","doc":"*   `c` (*type:* `list(GoogleApi.Analytics.V3.Model.GaDataDataTableRowsC.t)`, *default:* `nil`) -","ref":"GoogleApi.Analytics.V3.Model.GaDataDataTableRows.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.GaDataDataTableRows.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.GaDataDataTableRows.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.GaDataDataTableRows.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.GaDataDataTableRows.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.GaDataDataTableRowsC","doc":"","ref":"GoogleApi.Analytics.V3.Model.GaDataDataTableRowsC.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.GaDataDataTableRowsC","doc":"*   `v` (*type:* `String.t`, *default:* `nil`) -","ref":"GoogleApi.Analytics.V3.Model.GaDataDataTableRowsC.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.GaDataDataTableRowsC.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.GaDataDataTableRowsC.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.GaDataDataTableRowsC.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.GaDataDataTableRowsC.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.GaDataProfileInfo","doc":"Information for the view (profile), for which the Analytics data was requested.","ref":"GoogleApi.Analytics.V3.Model.GaDataProfileInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.GaDataProfileInfo","doc":"*   `accountId` (*type:* `String.t`, *default:* `nil`) - Account ID to which this view (profile) belongs.\n*   `internalWebPropertyId` (*type:* `String.t`, *default:* `nil`) - Internal ID for the web property to which this view (profile) belongs.\n*   `profileId` (*type:* `String.t`, *default:* `nil`) - View (Profile) ID.\n*   `profileName` (*type:* `String.t`, *default:* `nil`) - View (Profile) name.\n*   `tableId` (*type:* `String.t`, *default:* `nil`) - Table ID for view (profile).\n*   `webPropertyId` (*type:* `String.t`, *default:* `nil`) - Web Property ID to which this view (profile) belongs.","ref":"GoogleApi.Analytics.V3.Model.GaDataProfileInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.GaDataProfileInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.GaDataProfileInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.GaDataProfileInfo.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.GaDataProfileInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.GaDataQuery","doc":"Analytics data request query parameters.","ref":"GoogleApi.Analytics.V3.Model.GaDataQuery.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.GaDataQuery","doc":"*   `dimensions` (*type:* `String.t`, *default:* `nil`) - List of analytics dimensions.\n*   `end-date` (*type:* `String.t`, *default:* `nil`) - End date.\n*   `filters` (*type:* `String.t`, *default:* `nil`) - Comma-separated list of dimension or metric filters.\n*   `ids` (*type:* `String.t`, *default:* `nil`) - Unique table ID.\n*   `max-results` (*type:* `integer()`, *default:* `nil`) - Maximum results per page.\n*   `metrics` (*type:* `list(String.t)`, *default:* `nil`) - List of analytics metrics.\n*   `samplingLevel` (*type:* `String.t`, *default:* `nil`) - Desired sampling level\n*   `segment` (*type:* `String.t`, *default:* `nil`) - Analytics advanced segment.\n*   `sort` (*type:* `list(String.t)`, *default:* `nil`) - List of dimensions or metrics based on which Analytics data is sorted.\n*   `start-date` (*type:* `String.t`, *default:* `nil`) - Start date.\n*   `start-index` (*type:* `integer()`, *default:* `nil`) - Start index.","ref":"GoogleApi.Analytics.V3.Model.GaDataQuery.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.GaDataQuery.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.GaDataQuery.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.GaDataQuery.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.GaDataQuery.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.Goal","doc":"JSON template for Analytics goal resource.","ref":"GoogleApi.Analytics.V3.Model.Goal.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.Goal","doc":"*   `accountId` (*type:* `String.t`, *default:* `nil`) - Account ID to which this goal belongs.\n*   `active` (*type:* `boolean()`, *default:* `nil`) - Determines whether this goal is active.\n*   `created` (*type:* `DateTime.t`, *default:* `nil`) - Time this goal was created.\n*   `eventDetails` (*type:* `GoogleApi.Analytics.V3.Model.GoalEventDetails.t`, *default:* `nil`) - Details for the goal of the type EVENT.\n*   `id` (*type:* `String.t`, *default:* `nil`) - Goal ID.\n*   `internalWebPropertyId` (*type:* `String.t`, *default:* `nil`) - Internal ID for the web property to which this goal belongs.\n*   `kind` (*type:* `String.t`, *default:* `analytics#goal`) - Resource type for an Analytics goal.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Goal name.\n*   `parentLink` (*type:* `GoogleApi.Analytics.V3.Model.GoalParentLink.t`, *default:* `nil`) - Parent link for a goal. Points to the view (profile) to which this goal belongs.\n*   `profileId` (*type:* `String.t`, *default:* `nil`) - View (Profile) ID to which this goal belongs.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - Link for this goal.\n*   `type` (*type:* `String.t`, *default:* `nil`) - Goal type. Possible values are URL_DESTINATION, VISIT_TIME_ON_SITE, VISIT_NUM_PAGES, AND EVENT.\n*   `updated` (*type:* `DateTime.t`, *default:* `nil`) - Time this goal was last modified.\n*   `urlDestinationDetails` (*type:* `GoogleApi.Analytics.V3.Model.GoalUrlDestinationDetails.t`, *default:* `nil`) - Details for the goal of the type URL_DESTINATION.\n*   `value` (*type:* `number()`, *default:* `nil`) - Goal value.\n*   `visitNumPagesDetails` (*type:* `GoogleApi.Analytics.V3.Model.GoalVisitNumPagesDetails.t`, *default:* `nil`) - Details for the goal of the type VISIT_NUM_PAGES.\n*   `visitTimeOnSiteDetails` (*type:* `GoogleApi.Analytics.V3.Model.GoalVisitTimeOnSiteDetails.t`, *default:* `nil`) - Details for the goal of the type VISIT_TIME_ON_SITE.\n*   `webPropertyId` (*type:* `String.t`, *default:* `nil`) - Web property ID to which this goal belongs. The web property ID is of the form UA-XXXXX-YY.","ref":"GoogleApi.Analytics.V3.Model.Goal.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.Goal.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.Goal.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.Goal.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.Goal.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.GoalEventDetails","doc":"Details for the goal of the type EVENT.","ref":"GoogleApi.Analytics.V3.Model.GoalEventDetails.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.GoalEventDetails","doc":"*   `eventConditions` (*type:* `list(GoogleApi.Analytics.V3.Model.GoalEventDetailsEventConditions.t)`, *default:* `nil`) - List of event conditions.\n*   `useEventValue` (*type:* `boolean()`, *default:* `nil`) - Determines if the event value should be used as the value for this goal.","ref":"GoogleApi.Analytics.V3.Model.GoalEventDetails.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.GoalEventDetails.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.GoalEventDetails.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.GoalEventDetails.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.GoalEventDetails.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.GoalEventDetailsEventConditions","doc":"","ref":"GoogleApi.Analytics.V3.Model.GoalEventDetailsEventConditions.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.GoalEventDetailsEventConditions","doc":"*   `comparisonType` (*type:* `String.t`, *default:* `nil`) - Type of comparison. Possible values are LESS_THAN, GREATER_THAN or EQUAL.\n*   `comparisonValue` (*type:* `String.t`, *default:* `nil`) - Value used for this comparison.\n*   `expression` (*type:* `String.t`, *default:* `nil`) - Expression used for this match.\n*   `matchType` (*type:* `String.t`, *default:* `nil`) - Type of the match to be performed. Possible values are REGEXP, BEGINS_WITH, or EXACT.\n*   `type` (*type:* `String.t`, *default:* `nil`) - Type of this event condition. Possible values are CATEGORY, ACTION, LABEL, or VALUE.","ref":"GoogleApi.Analytics.V3.Model.GoalEventDetailsEventConditions.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.GoalEventDetailsEventConditions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.GoalEventDetailsEventConditions.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.GoalEventDetailsEventConditions.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.GoalEventDetailsEventConditions.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.GoalParentLink","doc":"Parent link for a goal. Points to the view (profile) to which this goal belongs.","ref":"GoogleApi.Analytics.V3.Model.GoalParentLink.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.GoalParentLink","doc":"*   `href` (*type:* `String.t`, *default:* `nil`) - Link to the view (profile) to which this goal belongs.\n*   `type` (*type:* `String.t`, *default:* `analytics#profile`) - Value is \"analytics#profile\".","ref":"GoogleApi.Analytics.V3.Model.GoalParentLink.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.GoalParentLink.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.GoalParentLink.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.GoalParentLink.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.GoalParentLink.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.GoalUrlDestinationDetails","doc":"Details for the goal of the type URL_DESTINATION.","ref":"GoogleApi.Analytics.V3.Model.GoalUrlDestinationDetails.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.GoalUrlDestinationDetails","doc":"*   `caseSensitive` (*type:* `boolean()`, *default:* `nil`) - Determines if the goal URL must exactly match the capitalization of visited URLs.\n*   `firstStepRequired` (*type:* `boolean()`, *default:* `nil`) - Determines if the first step in this goal is required.\n*   `matchType` (*type:* `String.t`, *default:* `nil`) - Match type for the goal URL. Possible values are HEAD, EXACT, or REGEX.\n*   `steps` (*type:* `list(GoogleApi.Analytics.V3.Model.GoalUrlDestinationDetailsSteps.t)`, *default:* `nil`) - List of steps configured for this goal funnel.\n*   `url` (*type:* `String.t`, *default:* `nil`) - URL for this goal.","ref":"GoogleApi.Analytics.V3.Model.GoalUrlDestinationDetails.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.GoalUrlDestinationDetails.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.GoalUrlDestinationDetails.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.GoalUrlDestinationDetails.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.GoalUrlDestinationDetails.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.GoalUrlDestinationDetailsSteps","doc":"","ref":"GoogleApi.Analytics.V3.Model.GoalUrlDestinationDetailsSteps.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.GoalUrlDestinationDetailsSteps","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - Step name.\n*   `number` (*type:* `integer()`, *default:* `nil`) - Step number.\n*   `url` (*type:* `String.t`, *default:* `nil`) - URL for this step.","ref":"GoogleApi.Analytics.V3.Model.GoalUrlDestinationDetailsSteps.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.GoalUrlDestinationDetailsSteps.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.GoalUrlDestinationDetailsSteps.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.GoalUrlDestinationDetailsSteps.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.GoalUrlDestinationDetailsSteps.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.GoalVisitNumPagesDetails","doc":"Details for the goal of the type VISIT_NUM_PAGES.","ref":"GoogleApi.Analytics.V3.Model.GoalVisitNumPagesDetails.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.GoalVisitNumPagesDetails","doc":"*   `comparisonType` (*type:* `String.t`, *default:* `nil`) - Type of comparison. Possible values are LESS_THAN, GREATER_THAN, or EQUAL.\n*   `comparisonValue` (*type:* `String.t`, *default:* `nil`) - Value used for this comparison.","ref":"GoogleApi.Analytics.V3.Model.GoalVisitNumPagesDetails.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.GoalVisitNumPagesDetails.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.GoalVisitNumPagesDetails.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.GoalVisitNumPagesDetails.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.GoalVisitNumPagesDetails.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.GoalVisitTimeOnSiteDetails","doc":"Details for the goal of the type VISIT_TIME_ON_SITE.","ref":"GoogleApi.Analytics.V3.Model.GoalVisitTimeOnSiteDetails.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.GoalVisitTimeOnSiteDetails","doc":"*   `comparisonType` (*type:* `String.t`, *default:* `nil`) - Type of comparison. Possible values are LESS_THAN or GREATER_THAN.\n*   `comparisonValue` (*type:* `String.t`, *default:* `nil`) - Value used for this comparison.","ref":"GoogleApi.Analytics.V3.Model.GoalVisitTimeOnSiteDetails.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.GoalVisitTimeOnSiteDetails.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.GoalVisitTimeOnSiteDetails.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.GoalVisitTimeOnSiteDetails.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.GoalVisitTimeOnSiteDetails.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.Goals","doc":"A goal collection lists Analytics goals to which the user has access. Each view (profile) can have a set of goals. Each resource in the Goal collection corresponds to a single Analytics goal.","ref":"GoogleApi.Analytics.V3.Model.Goals.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.Goals","doc":"*   `items` (*type:* `list(GoogleApi.Analytics.V3.Model.Goal.t)`, *default:* `nil`) - A list of goals.\n*   `itemsPerPage` (*type:* `integer()`, *default:* `nil`) - The maximum number of resources the response can contain, regardless of the actual number of resources returned. Its value ranges from 1 to 1000 with a value of 1000 by default, or otherwise specified by the max-results query parameter.\n*   `kind` (*type:* `String.t`, *default:* `analytics#goals`) - Collection type.\n*   `nextLink` (*type:* `String.t`, *default:* `nil`) - Link to next page for this goal collection.\n*   `previousLink` (*type:* `String.t`, *default:* `nil`) - Link to previous page for this goal collection.\n*   `startIndex` (*type:* `integer()`, *default:* `nil`) - The starting index of the resources, which is 1 by default or otherwise specified by the start-index query parameter.\n*   `totalResults` (*type:* `integer()`, *default:* `nil`) - The total number of results for the query, regardless of the number of resources in the result.\n*   `username` (*type:* `String.t`, *default:* `nil`) - Email ID of the authenticated user","ref":"GoogleApi.Analytics.V3.Model.Goals.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.Goals.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.Goals.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.Goals.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.Goals.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.HashClientIdRequest","doc":"JSON template for a hash Client Id request resource.","ref":"GoogleApi.Analytics.V3.Model.HashClientIdRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.HashClientIdRequest","doc":"*   `clientId` (*type:* `String.t`, *default:* `nil`) - \n*   `kind` (*type:* `String.t`, *default:* `analytics#hashClientIdRequest`) - \n*   `webPropertyId` (*type:* `String.t`, *default:* `nil`) -","ref":"GoogleApi.Analytics.V3.Model.HashClientIdRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.HashClientIdRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.HashClientIdRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.HashClientIdRequest.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.HashClientIdRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.HashClientIdResponse","doc":"JSON template for a hash Client Id response resource.","ref":"GoogleApi.Analytics.V3.Model.HashClientIdResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.HashClientIdResponse","doc":"*   `clientId` (*type:* `String.t`, *default:* `nil`) - \n*   `hashedClientId` (*type:* `String.t`, *default:* `nil`) - \n*   `kind` (*type:* `String.t`, *default:* `analytics#hashClientIdResponse`) - \n*   `webPropertyId` (*type:* `String.t`, *default:* `nil`) -","ref":"GoogleApi.Analytics.V3.Model.HashClientIdResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.HashClientIdResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.HashClientIdResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.HashClientIdResponse.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.HashClientIdResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.IncludeConditions","doc":"JSON template for an Analytics Remarketing Include Conditions.","ref":"GoogleApi.Analytics.V3.Model.IncludeConditions.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.IncludeConditions","doc":"*   `daysToLookBack` (*type:* `integer()`, *default:* `nil`) - The look-back window lets you specify a time frame for evaluating the behavior that qualifies users for your audience. For example, if your filters include users from Central Asia, and Transactions Greater than 2, and you set the look-back window to 14 days, then any user from Central Asia whose cumulative transactions exceed 2 during the last 14 days is added to the audience.\n*   `isSmartList` (*type:* `boolean()`, *default:* `nil`) - Boolean indicating whether this segment is a smart list. https://support.google.com/analytics/answer/4628577\n*   `kind` (*type:* `String.t`, *default:* `analytics#includeConditions`) - Resource type for include conditions.\n*   `membershipDurationDays` (*type:* `integer()`, *default:* `nil`) - Number of days (in the range 1 to 540) a user remains in the audience.\n*   `segment` (*type:* `String.t`, *default:* `nil`) - The segment condition that will cause a user to be added to an audience.","ref":"GoogleApi.Analytics.V3.Model.IncludeConditions.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.IncludeConditions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.IncludeConditions.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.IncludeConditions.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.IncludeConditions.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.LinkedForeignAccount","doc":"JSON template for an Analytics Remarketing Audience Foreign Link.","ref":"GoogleApi.Analytics.V3.Model.LinkedForeignAccount.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.LinkedForeignAccount","doc":"*   `accountId` (*type:* `String.t`, *default:* `nil`) - Account ID to which this linked foreign account belongs.\n*   `eligibleForSearch` (*type:* `boolean()`, *default:* `nil`) - Boolean indicating whether this is eligible for search.\n*   `id` (*type:* `String.t`, *default:* `nil`) - Entity ad account link ID.\n*   `internalWebPropertyId` (*type:* `String.t`, *default:* `nil`) - Internal ID for the web property to which this linked foreign account belongs.\n*   `kind` (*type:* `String.t`, *default:* `analytics#linkedForeignAccount`) - Resource type for linked foreign account.\n*   `linkedAccountId` (*type:* `String.t`, *default:* `nil`) - The foreign account ID. For example the an Google Ads `linkedAccountId` has the following format XXX-XXX-XXXX.\n*   `remarketingAudienceId` (*type:* `String.t`, *default:* `nil`) - Remarketing audience ID to which this linked foreign account belongs.\n*   `status` (*type:* `String.t`, *default:* `nil`) - The status of this foreign account link.\n*   `type` (*type:* `String.t`, *default:* `nil`) - The type of the foreign account. For example, `ADWORDS_LINKS`, `DBM_LINKS`, `MCC_LINKS` or `OPTIMIZE`.\n*   `webPropertyId` (*type:* `String.t`, *default:* `nil`) - Web property ID of the form UA-XXXXX-YY to which this linked foreign account belongs.","ref":"GoogleApi.Analytics.V3.Model.LinkedForeignAccount.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.LinkedForeignAccount.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.LinkedForeignAccount.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.LinkedForeignAccount.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.LinkedForeignAccount.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.McfData","doc":"Multi-Channel Funnels data for a given view (profile).","ref":"GoogleApi.Analytics.V3.Model.McfData.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.McfData","doc":"*   `columnHeaders` (*type:* `list(GoogleApi.Analytics.V3.Model.McfDataColumnHeaders.t)`, *default:* `nil`) - Column headers that list dimension names followed by the metric names. The order of dimensions and metrics is same as specified in the request.\n*   `containsSampledData` (*type:* `boolean()`, *default:* `nil`) - Determines if the Analytics data contains sampled data.\n*   `id` (*type:* `String.t`, *default:* `nil`) - Unique ID for this data response.\n*   `itemsPerPage` (*type:* `integer()`, *default:* `nil`) - The maximum number of rows the response can contain, regardless of the actual number of rows returned. Its value ranges from 1 to 10,000 with a value of 1000 by default, or otherwise specified by the max-results query parameter.\n*   `kind` (*type:* `String.t`, *default:* `analytics#mcfData`) - Resource type.\n*   `nextLink` (*type:* `String.t`, *default:* `nil`) - Link to next page for this Analytics data query.\n*   `previousLink` (*type:* `String.t`, *default:* `nil`) - Link to previous page for this Analytics data query.\n*   `profileInfo` (*type:* `GoogleApi.Analytics.V3.Model.McfDataProfileInfo.t`, *default:* `nil`) - Information for the view (profile), for which the Analytics data was requested.\n*   `query` (*type:* `GoogleApi.Analytics.V3.Model.McfDataQuery.t`, *default:* `nil`) - Analytics data request query parameters.\n*   `rows` (*type:* `list(list(GoogleApi.Analytics.V3.Model.McfDataRows.t))`, *default:* `nil`) - Analytics data rows, where each row contains a list of dimension values followed by the metric values. The order of dimensions and metrics is same as specified in the request.\n*   `sampleSize` (*type:* `String.t`, *default:* `nil`) - The number of samples used to calculate the result.\n*   `sampleSpace` (*type:* `String.t`, *default:* `nil`) - Total size of the sample space from which the samples were selected.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - Link to this page.\n*   `totalResults` (*type:* `integer()`, *default:* `nil`) - The total number of rows for the query, regardless of the number of rows in the response.\n*   `totalsForAllResults` (*type:* `map()`, *default:* `nil`) - Total values for the requested metrics over all the results, not just the results returned in this response. The order of the metric totals is same as the metric order specified in the request.","ref":"GoogleApi.Analytics.V3.Model.McfData.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.McfData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.McfData.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.McfData.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.McfData.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.McfDataColumnHeaders","doc":"","ref":"GoogleApi.Analytics.V3.Model.McfDataColumnHeaders.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.McfDataColumnHeaders","doc":"*   `columnType` (*type:* `String.t`, *default:* `nil`) - Column Type. Either DIMENSION or METRIC.\n*   `dataType` (*type:* `String.t`, *default:* `nil`) - Data type. Dimension and metric values data types such as INTEGER, DOUBLE, CURRENCY, MCF_SEQUENCE etc.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Column name.","ref":"GoogleApi.Analytics.V3.Model.McfDataColumnHeaders.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.McfDataColumnHeaders.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.McfDataColumnHeaders.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.McfDataColumnHeaders.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.McfDataColumnHeaders.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.McfDataProfileInfo","doc":"Information for the view (profile), for which the Analytics data was requested.","ref":"GoogleApi.Analytics.V3.Model.McfDataProfileInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.McfDataProfileInfo","doc":"*   `accountId` (*type:* `String.t`, *default:* `nil`) - Account ID to which this view (profile) belongs.\n*   `internalWebPropertyId` (*type:* `String.t`, *default:* `nil`) - Internal ID for the web property to which this view (profile) belongs.\n*   `profileId` (*type:* `String.t`, *default:* `nil`) - View (Profile) ID.\n*   `profileName` (*type:* `String.t`, *default:* `nil`) - View (Profile) name.\n*   `tableId` (*type:* `String.t`, *default:* `nil`) - Table ID for view (profile).\n*   `webPropertyId` (*type:* `String.t`, *default:* `nil`) - Web Property ID to which this view (profile) belongs.","ref":"GoogleApi.Analytics.V3.Model.McfDataProfileInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.McfDataProfileInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.McfDataProfileInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.McfDataProfileInfo.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.McfDataProfileInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.McfDataQuery","doc":"Analytics data request query parameters.","ref":"GoogleApi.Analytics.V3.Model.McfDataQuery.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.McfDataQuery","doc":"*   `dimensions` (*type:* `String.t`, *default:* `nil`) - List of analytics dimensions.\n*   `end-date` (*type:* `String.t`, *default:* `nil`) - End date.\n*   `filters` (*type:* `String.t`, *default:* `nil`) - Comma-separated list of dimension or metric filters.\n*   `ids` (*type:* `String.t`, *default:* `nil`) - Unique table ID.\n*   `max-results` (*type:* `integer()`, *default:* `nil`) - Maximum results per page.\n*   `metrics` (*type:* `list(String.t)`, *default:* `nil`) - List of analytics metrics.\n*   `samplingLevel` (*type:* `String.t`, *default:* `nil`) - Desired sampling level\n*   `segment` (*type:* `String.t`, *default:* `nil`) - Analytics advanced segment.\n*   `sort` (*type:* `list(String.t)`, *default:* `nil`) - List of dimensions or metrics based on which Analytics data is sorted.\n*   `start-date` (*type:* `String.t`, *default:* `nil`) - Start date.\n*   `start-index` (*type:* `integer()`, *default:* `nil`) - Start index.","ref":"GoogleApi.Analytics.V3.Model.McfDataQuery.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.McfDataQuery.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.McfDataQuery.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.McfDataQuery.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.McfDataQuery.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.McfDataRows","doc":"A union object representing a dimension or metric value. Only one of \"primitiveValue\" or \"conversionPathValue\" attribute will be populated.","ref":"GoogleApi.Analytics.V3.Model.McfDataRows.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.McfDataRows","doc":"*   `conversionPathValue` (*type:* `list(GoogleApi.Analytics.V3.Model.McfDataRowsConversionPathValue.t)`, *default:* `nil`) - A conversion path dimension value, containing a list of interactions with their attributes.\n*   `primitiveValue` (*type:* `String.t`, *default:* `nil`) - A primitive dimension value. A primitive metric value.","ref":"GoogleApi.Analytics.V3.Model.McfDataRows.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.McfDataRows.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.McfDataRows.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.McfDataRows.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.McfDataRows.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.McfDataRowsConversionPathValue","doc":"","ref":"GoogleApi.Analytics.V3.Model.McfDataRowsConversionPathValue.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.McfDataRowsConversionPathValue","doc":"*   `interactionType` (*type:* `String.t`, *default:* `nil`) - Type of an interaction on conversion path. Such as CLICK, IMPRESSION etc.\n*   `nodeValue` (*type:* `String.t`, *default:* `nil`) - Node value of an interaction on conversion path. Such as source, medium etc.","ref":"GoogleApi.Analytics.V3.Model.McfDataRowsConversionPathValue.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.McfDataRowsConversionPathValue.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.McfDataRowsConversionPathValue.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.McfDataRowsConversionPathValue.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.McfDataRowsConversionPathValue.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.Profile","doc":"JSON template for an Analytics view (profile).","ref":"GoogleApi.Analytics.V3.Model.Profile.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.Profile","doc":"*   `accountId` (*type:* `String.t`, *default:* `nil`) - Account ID to which this view (profile) belongs.\n*   `botFilteringEnabled` (*type:* `boolean()`, *default:* `nil`) - Indicates whether bot filtering is enabled for this view (profile).\n*   `childLink` (*type:* `GoogleApi.Analytics.V3.Model.ProfileChildLink.t`, *default:* `nil`) - Child link for this view (profile). Points to the list of goals for this view (profile).\n*   `created` (*type:* `DateTime.t`, *default:* `nil`) - Time this view (profile) was created.\n*   `currency` (*type:* `String.t`, *default:* `nil`) - The currency type associated with this view (profile), defaults to USD. The supported values are:\n    USD, JPY, EUR, GBP, AUD, KRW, BRL, CNY, DKK, RUB, SEK, NOK, PLN, TRY, TWD, HKD, THB, IDR, ARS, MXN, VND, PHP, INR, CHF, CAD, CZK, NZD, HUF, BGN, LTL, ZAR, UAH, AED, BOB, CLP, COP, EGP, HRK, ILS, MAD, MYR, PEN, PKR, RON, RSD, SAR, SGD, VEF, LVL\n*   `defaultPage` (*type:* `String.t`, *default:* `nil`) - Default page for this view (profile).\n*   `eCommerceTracking` (*type:* `boolean()`, *default:* `nil`) - Indicates whether ecommerce tracking is enabled for this view (profile).\n*   `enhancedECommerceTracking` (*type:* `boolean()`, *default:* `nil`) - Indicates whether enhanced ecommerce tracking is enabled for this view (profile). This property can only be enabled if ecommerce tracking is enabled.\n*   `excludeQueryParameters` (*type:* `String.t`, *default:* `nil`) - The query parameters that are excluded from this view (profile).\n*   `id` (*type:* `String.t`, *default:* `nil`) - View (Profile) ID.\n*   `internalWebPropertyId` (*type:* `String.t`, *default:* `nil`) - Internal ID for the web property to which this view (profile) belongs.\n*   `kind` (*type:* `String.t`, *default:* `analytics#profile`) - Resource type for Analytics view (profile).\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of this view (profile).\n*   `parentLink` (*type:* `GoogleApi.Analytics.V3.Model.ProfileParentLink.t`, *default:* `nil`) - Parent link for this view (profile). Points to the web property to which this view (profile) belongs.\n*   `permissions` (*type:* `GoogleApi.Analytics.V3.Model.ProfilePermissions.t`, *default:* `nil`) - Permissions the user has for this view (profile).\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - Link for this view (profile).\n*   `siteSearchCategoryParameters` (*type:* `String.t`, *default:* `nil`) - Site search category parameters for this view (profile).\n*   `siteSearchQueryParameters` (*type:* `String.t`, *default:* `nil`) - The site search query parameters for this view (profile).\n*   `starred` (*type:* `boolean()`, *default:* `nil`) - Indicates whether this view (profile) is starred or not.\n*   `stripSiteSearchCategoryParameters` (*type:* `boolean()`, *default:* `nil`) - Whether or not Analytics will strip search category parameters from the URLs in your reports.\n*   `stripSiteSearchQueryParameters` (*type:* `boolean()`, *default:* `nil`) - Whether or not Analytics will strip search query parameters from the URLs in your reports.\n*   `timezone` (*type:* `String.t`, *default:* `nil`) - Time zone for which this view (profile) has been configured. Time zones are identified by strings from the TZ database.\n*   `type` (*type:* `String.t`, *default:* `nil`) - View (Profile) type. Supported types: WEB or APP.\n*   `updated` (*type:* `DateTime.t`, *default:* `nil`) - Time this view (profile) was last modified.\n*   `webPropertyId` (*type:* `String.t`, *default:* `nil`) - Web property ID of the form UA-XXXXX-YY to which this view (profile) belongs.\n*   `websiteUrl` (*type:* `String.t`, *default:* `nil`) - Website URL for this view (profile).","ref":"GoogleApi.Analytics.V3.Model.Profile.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.Profile.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.Profile.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.Profile.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.Profile.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.ProfileChildLink","doc":"Child link for this view (profile). Points to the list of goals for this view (profile).","ref":"GoogleApi.Analytics.V3.Model.ProfileChildLink.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.ProfileChildLink","doc":"*   `href` (*type:* `String.t`, *default:* `nil`) - Link to the list of goals for this view (profile).\n*   `type` (*type:* `String.t`, *default:* `analytics#goals`) - Value is \"analytics#goals\".","ref":"GoogleApi.Analytics.V3.Model.ProfileChildLink.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.ProfileChildLink.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.ProfileChildLink.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.ProfileChildLink.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.ProfileChildLink.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.ProfileFilterLink","doc":"JSON template for an Analytics profile filter link.","ref":"GoogleApi.Analytics.V3.Model.ProfileFilterLink.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.ProfileFilterLink","doc":"*   `filterRef` (*type:* `GoogleApi.Analytics.V3.Model.FilterRef.t`, *default:* `nil`) - Filter for this link.\n*   `id` (*type:* `String.t`, *default:* `nil`) - Profile filter link ID.\n*   `kind` (*type:* `String.t`, *default:* `analytics#profileFilterLink`) - Resource type for Analytics filter.\n*   `profileRef` (*type:* `GoogleApi.Analytics.V3.Model.ProfileRef.t`, *default:* `nil`) - View (Profile) for this link.\n*   `rank` (*type:* `integer()`, *default:* `nil`) - The rank of this profile filter link relative to the other filters linked to the same profile.\n    For readonly (i.e., list and get) operations, the rank always starts at 1.\n    For write (i.e., create, update, or delete) operations, you may specify a value between 0 and 255 inclusively, [0, 255]. In order to insert a link at the end of the list, either don't specify a rank or set a rank to a number greater than the largest rank in the list. In order to insert a link to the beginning of the list specify a rank that is less than or equal to 1. The new link will move all existing filters with the same or lower rank down the list. After the link is inserted/updated/deleted all profile filter links will be renumbered starting at 1.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - Link for this profile filter link.","ref":"GoogleApi.Analytics.V3.Model.ProfileFilterLink.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.ProfileFilterLink.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.ProfileFilterLink.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.ProfileFilterLink.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.ProfileFilterLink.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.ProfileFilterLinks","doc":"A profile filter link collection lists profile filter links between profiles and filters. Each resource in the collection corresponds to a profile filter link.","ref":"GoogleApi.Analytics.V3.Model.ProfileFilterLinks.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.ProfileFilterLinks","doc":"*   `items` (*type:* `list(GoogleApi.Analytics.V3.Model.ProfileFilterLink.t)`, *default:* `nil`) - A list of profile filter links.\n*   `itemsPerPage` (*type:* `integer()`, *default:* `nil`) - The maximum number of resources the response can contain, regardless of the actual number of resources returned. Its value ranges from 1 to 1,000 with a value of 1000 by default, or otherwise specified by the max-results query parameter.\n*   `kind` (*type:* `String.t`, *default:* `analytics#profileFilterLinks`) - Collection type.\n*   `nextLink` (*type:* `String.t`, *default:* `nil`) - Link to next page for this profile filter link collection.\n*   `previousLink` (*type:* `String.t`, *default:* `nil`) - Link to previous page for this profile filter link collection.\n*   `startIndex` (*type:* `integer()`, *default:* `nil`) - The starting index of the resources, which is 1 by default or otherwise specified by the start-index query parameter.\n*   `totalResults` (*type:* `integer()`, *default:* `nil`) - The total number of results for the query, regardless of the number of results in the response.\n*   `username` (*type:* `String.t`, *default:* `nil`) - Email ID of the authenticated user","ref":"GoogleApi.Analytics.V3.Model.ProfileFilterLinks.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.ProfileFilterLinks.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.ProfileFilterLinks.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.ProfileFilterLinks.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.ProfileFilterLinks.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.ProfileParentLink","doc":"Parent link for this view (profile). Points to the web property to which this view (profile) belongs.","ref":"GoogleApi.Analytics.V3.Model.ProfileParentLink.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.ProfileParentLink","doc":"*   `href` (*type:* `String.t`, *default:* `nil`) - Link to the web property to which this view (profile) belongs.\n*   `type` (*type:* `String.t`, *default:* `analytics#webproperty`) - Value is \"analytics#webproperty\".","ref":"GoogleApi.Analytics.V3.Model.ProfileParentLink.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.ProfileParentLink.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.ProfileParentLink.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.ProfileParentLink.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.ProfileParentLink.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.ProfilePermissions","doc":"Permissions the user has for this view (profile).","ref":"GoogleApi.Analytics.V3.Model.ProfilePermissions.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.ProfilePermissions","doc":"*   `effective` (*type:* `list(String.t)`, *default:* `nil`) - All the permissions that the user has for this view (profile). These include any implied permissions (e.g., EDIT implies VIEW) or inherited permissions from the parent web property.","ref":"GoogleApi.Analytics.V3.Model.ProfilePermissions.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.ProfilePermissions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.ProfilePermissions.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.ProfilePermissions.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.ProfilePermissions.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.ProfileRef","doc":"JSON template for a linked view (profile).","ref":"GoogleApi.Analytics.V3.Model.ProfileRef.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.ProfileRef","doc":"*   `accountId` (*type:* `String.t`, *default:* `nil`) - Account ID to which this view (profile) belongs.\n*   `href` (*type:* `String.t`, *default:* `nil`) - Link for this view (profile).\n*   `id` (*type:* `String.t`, *default:* `nil`) - View (Profile) ID.\n*   `internalWebPropertyId` (*type:* `String.t`, *default:* `nil`) - Internal ID for the web property to which this view (profile) belongs.\n*   `kind` (*type:* `String.t`, *default:* `analytics#profileRef`) - Analytics view (profile) reference.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of this view (profile).\n*   `webPropertyId` (*type:* `String.t`, *default:* `nil`) - Web property ID of the form UA-XXXXX-YY to which this view (profile) belongs.","ref":"GoogleApi.Analytics.V3.Model.ProfileRef.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.ProfileRef.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.ProfileRef.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.ProfileRef.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.ProfileRef.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.ProfileSummary","doc":"JSON template for an Analytics ProfileSummary. ProfileSummary returns basic information (i.e., summary) for a profile.","ref":"GoogleApi.Analytics.V3.Model.ProfileSummary.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.ProfileSummary","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - View (profile) ID.\n*   `kind` (*type:* `String.t`, *default:* `analytics#profileSummary`) - Resource type for Analytics ProfileSummary.\n*   `name` (*type:* `String.t`, *default:* `nil`) - View (profile) name.\n*   `starred` (*type:* `boolean()`, *default:* `nil`) - Indicates whether this view (profile) is starred or not.\n*   `type` (*type:* `String.t`, *default:* `nil`) - View (Profile) type. Supported types: WEB or APP.","ref":"GoogleApi.Analytics.V3.Model.ProfileSummary.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.ProfileSummary.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.ProfileSummary.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.ProfileSummary.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.ProfileSummary.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.Profiles","doc":"A view (profile) collection lists Analytics views (profiles) to which the user has access. Each resource in the collection corresponds to a single Analytics view (profile).","ref":"GoogleApi.Analytics.V3.Model.Profiles.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.Profiles","doc":"*   `items` (*type:* `list(GoogleApi.Analytics.V3.Model.Profile.t)`, *default:* `nil`) - A list of views (profiles).\n*   `itemsPerPage` (*type:* `integer()`, *default:* `nil`) - The maximum number of resources the response can contain, regardless of the actual number of resources returned. Its value ranges from 1 to 1000 with a value of 1000 by default, or otherwise specified by the max-results query parameter.\n*   `kind` (*type:* `String.t`, *default:* `analytics#profiles`) - Collection type.\n*   `nextLink` (*type:* `String.t`, *default:* `nil`) - Link to next page for this view (profile) collection.\n*   `previousLink` (*type:* `String.t`, *default:* `nil`) - Link to previous page for this view (profile) collection.\n*   `startIndex` (*type:* `integer()`, *default:* `nil`) - The starting index of the resources, which is 1 by default or otherwise specified by the start-index query parameter.\n*   `totalResults` (*type:* `integer()`, *default:* `nil`) - The total number of results for the query, regardless of the number of results in the response.\n*   `username` (*type:* `String.t`, *default:* `nil`) - Email ID of the authenticated user","ref":"GoogleApi.Analytics.V3.Model.Profiles.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.Profiles.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.Profiles.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.Profiles.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.Profiles.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.RealtimeData","doc":"Real time data for a given view (profile).","ref":"GoogleApi.Analytics.V3.Model.RealtimeData.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.RealtimeData","doc":"*   `columnHeaders` (*type:* `list(GoogleApi.Analytics.V3.Model.RealtimeDataColumnHeaders.t)`, *default:* `nil`) - Column headers that list dimension names followed by the metric names. The order of dimensions and metrics is same as specified in the request.\n*   `id` (*type:* `String.t`, *default:* `nil`) - Unique ID for this data response.\n*   `kind` (*type:* `String.t`, *default:* `analytics#realtimeData`) - Resource type.\n*   `profileInfo` (*type:* `GoogleApi.Analytics.V3.Model.RealtimeDataProfileInfo.t`, *default:* `nil`) - Information for the view (profile), for which the real time data was requested.\n*   `query` (*type:* `GoogleApi.Analytics.V3.Model.RealtimeDataQuery.t`, *default:* `nil`) - Real time data request query parameters.\n*   `rows` (*type:* `list(list(String.t))`, *default:* `nil`) - Real time data rows, where each row contains a list of dimension values followed by the metric values. The order of dimensions and metrics is same as specified in the request.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - Link to this page.\n*   `totalResults` (*type:* `integer()`, *default:* `nil`) - The total number of rows for the query, regardless of the number of rows in the response.\n*   `totalsForAllResults` (*type:* `map()`, *default:* `nil`) - Total values for the requested metrics over all the results, not just the results returned in this response. The order of the metric totals is same as the metric order specified in the request.","ref":"GoogleApi.Analytics.V3.Model.RealtimeData.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.RealtimeData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.RealtimeData.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.RealtimeData.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.RealtimeData.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.RealtimeDataColumnHeaders","doc":"","ref":"GoogleApi.Analytics.V3.Model.RealtimeDataColumnHeaders.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.RealtimeDataColumnHeaders","doc":"*   `columnType` (*type:* `String.t`, *default:* `nil`) - Column Type. Either DIMENSION or METRIC.\n*   `dataType` (*type:* `String.t`, *default:* `nil`) - Data type. Dimension column headers have only STRING as the data type. Metric column headers have data types for metric values such as INTEGER, DOUBLE, CURRENCY etc.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Column name.","ref":"GoogleApi.Analytics.V3.Model.RealtimeDataColumnHeaders.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.RealtimeDataColumnHeaders.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.RealtimeDataColumnHeaders.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.RealtimeDataColumnHeaders.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.RealtimeDataColumnHeaders.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.RealtimeDataProfileInfo","doc":"Information for the view (profile), for which the real time data was requested.","ref":"GoogleApi.Analytics.V3.Model.RealtimeDataProfileInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.RealtimeDataProfileInfo","doc":"*   `accountId` (*type:* `String.t`, *default:* `nil`) - Account ID to which this view (profile) belongs.\n*   `internalWebPropertyId` (*type:* `String.t`, *default:* `nil`) - Internal ID for the web property to which this view (profile) belongs.\n*   `profileId` (*type:* `String.t`, *default:* `nil`) - View (Profile) ID.\n*   `profileName` (*type:* `String.t`, *default:* `nil`) - View (Profile) name.\n*   `tableId` (*type:* `String.t`, *default:* `nil`) - Table ID for view (profile).\n*   `webPropertyId` (*type:* `String.t`, *default:* `nil`) - Web Property ID to which this view (profile) belongs.","ref":"GoogleApi.Analytics.V3.Model.RealtimeDataProfileInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.RealtimeDataProfileInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.RealtimeDataProfileInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.RealtimeDataProfileInfo.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.RealtimeDataProfileInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.RealtimeDataQuery","doc":"Real time data request query parameters.","ref":"GoogleApi.Analytics.V3.Model.RealtimeDataQuery.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.RealtimeDataQuery","doc":"*   `dimensions` (*type:* `String.t`, *default:* `nil`) - List of real time dimensions.\n*   `filters` (*type:* `String.t`, *default:* `nil`) - Comma-separated list of dimension or metric filters.\n*   `ids` (*type:* `String.t`, *default:* `nil`) - Unique table ID.\n*   `max-results` (*type:* `integer()`, *default:* `nil`) - Maximum results per page.\n*   `metrics` (*type:* `list(String.t)`, *default:* `nil`) - List of real time metrics.\n*   `sort` (*type:* `list(String.t)`, *default:* `nil`) - List of dimensions or metrics based on which real time data is sorted.","ref":"GoogleApi.Analytics.V3.Model.RealtimeDataQuery.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.RealtimeDataQuery.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.RealtimeDataQuery.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.RealtimeDataQuery.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.RealtimeDataQuery.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.RemarketingAudience","doc":"JSON template for an Analytics remarketing audience.","ref":"GoogleApi.Analytics.V3.Model.RemarketingAudience.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.RemarketingAudience","doc":"*   `accountId` (*type:* `String.t`, *default:* `nil`) - Account ID to which this remarketing audience belongs.\n*   `audienceDefinition` (*type:* `GoogleApi.Analytics.V3.Model.RemarketingAudienceAudienceDefinition.t`, *default:* `nil`) - The simple audience definition that will cause a user to be added to an audience.\n*   `audienceType` (*type:* `String.t`, *default:* `nil`) - The type of audience, either SIMPLE or STATE_BASED.\n*   `created` (*type:* `DateTime.t`, *default:* `nil`) - Time this remarketing audience was created.\n*   `description` (*type:* `String.t`, *default:* `nil`) - The description of this remarketing audience.\n*   `id` (*type:* `String.t`, *default:* `nil`) - Remarketing Audience ID.\n*   `internalWebPropertyId` (*type:* `String.t`, *default:* `nil`) - Internal ID for the web property to which this remarketing audience belongs.\n*   `kind` (*type:* `String.t`, *default:* `analytics#remarketingAudience`) - Collection type.\n*   `linkedAdAccounts` (*type:* `list(GoogleApi.Analytics.V3.Model.LinkedForeignAccount.t)`, *default:* `nil`) - The linked ad accounts associated with this remarketing audience. A remarketing audience can have only one linkedAdAccount currently.\n*   `linkedViews` (*type:* `list(String.t)`, *default:* `nil`) - The views (profiles) that this remarketing audience is linked to.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The name of this remarketing audience.\n*   `stateBasedAudienceDefinition` (*type:* `GoogleApi.Analytics.V3.Model.RemarketingAudienceStateBasedAudienceDefinition.t`, *default:* `nil`) - A state based audience definition that will cause a user to be added or removed from an audience.\n*   `updated` (*type:* `DateTime.t`, *default:* `nil`) - Time this remarketing audience was last modified.\n*   `webPropertyId` (*type:* `String.t`, *default:* `nil`) - Web property ID of the form UA-XXXXX-YY to which this remarketing audience belongs.","ref":"GoogleApi.Analytics.V3.Model.RemarketingAudience.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.RemarketingAudience.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.RemarketingAudience.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.RemarketingAudience.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.RemarketingAudience.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.RemarketingAudienceAudienceDefinition","doc":"The simple audience definition that will cause a user to be added to an audience.","ref":"GoogleApi.Analytics.V3.Model.RemarketingAudienceAudienceDefinition.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.RemarketingAudienceAudienceDefinition","doc":"*   `includeConditions` (*type:* `GoogleApi.Analytics.V3.Model.IncludeConditions.t`, *default:* `nil`) - Defines the conditions to include users to the audience.","ref":"GoogleApi.Analytics.V3.Model.RemarketingAudienceAudienceDefinition.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.RemarketingAudienceAudienceDefinition.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.RemarketingAudienceAudienceDefinition.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.RemarketingAudienceAudienceDefinition.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.RemarketingAudienceAudienceDefinition.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.RemarketingAudienceStateBasedAudienceDefinition","doc":"A state based audience definition that will cause a user to be added or removed from an audience.","ref":"GoogleApi.Analytics.V3.Model.RemarketingAudienceStateBasedAudienceDefinition.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.RemarketingAudienceStateBasedAudienceDefinition","doc":"*   `excludeConditions` (*type:* `GoogleApi.Analytics.V3.Model.RemarketingAudienceStateBasedAudienceDefinitionExcludeConditions.t`, *default:* `nil`) - Defines the conditions to exclude users from the audience.\n*   `includeConditions` (*type:* `GoogleApi.Analytics.V3.Model.IncludeConditions.t`, *default:* `nil`) - Defines the conditions to include users to the audience.","ref":"GoogleApi.Analytics.V3.Model.RemarketingAudienceStateBasedAudienceDefinition.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.RemarketingAudienceStateBasedAudienceDefinition.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.RemarketingAudienceStateBasedAudienceDefinition.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.RemarketingAudienceStateBasedAudienceDefinition.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.RemarketingAudienceStateBasedAudienceDefinition.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.RemarketingAudienceStateBasedAudienceDefinitionExcludeConditions","doc":"Defines the conditions to exclude users from the audience.","ref":"GoogleApi.Analytics.V3.Model.RemarketingAudienceStateBasedAudienceDefinitionExcludeConditions.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.RemarketingAudienceStateBasedAudienceDefinitionExcludeConditions","doc":"*   `exclusionDuration` (*type:* `String.t`, *default:* `nil`) - Whether to make the exclusion TEMPORARY or PERMANENT.\n*   `segment` (*type:* `String.t`, *default:* `nil`) - The segment condition that will cause a user to be removed from an audience.","ref":"GoogleApi.Analytics.V3.Model.RemarketingAudienceStateBasedAudienceDefinitionExcludeConditions.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.RemarketingAudienceStateBasedAudienceDefinitionExcludeConditions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.RemarketingAudienceStateBasedAudienceDefinitionExcludeConditions.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.RemarketingAudienceStateBasedAudienceDefinitionExcludeConditions.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.RemarketingAudienceStateBasedAudienceDefinitionExcludeConditions.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.RemarketingAudiences","doc":"A remarketing audience collection lists Analytics remarketing audiences to which the user has access. Each resource in the collection corresponds to a single Analytics remarketing audience.","ref":"GoogleApi.Analytics.V3.Model.RemarketingAudiences.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.RemarketingAudiences","doc":"*   `items` (*type:* `list(GoogleApi.Analytics.V3.Model.RemarketingAudience.t)`, *default:* `nil`) - A list of remarketing audiences.\n*   `itemsPerPage` (*type:* `integer()`, *default:* `nil`) - The maximum number of resources the response can contain, regardless of the actual number of resources returned. Its value ranges from 1 to 1000 with a value of 1000 by default, or otherwise specified by the max-results query parameter.\n*   `kind` (*type:* `String.t`, *default:* `analytics#remarketingAudiences`) - Collection type.\n*   `nextLink` (*type:* `String.t`, *default:* `nil`) - Link to next page for this remarketing audience collection.\n*   `previousLink` (*type:* `String.t`, *default:* `nil`) - Link to previous page for this view (profile) collection.\n*   `startIndex` (*type:* `integer()`, *default:* `nil`) - The starting index of the resources, which is 1 by default or otherwise specified by the start-index query parameter.\n*   `totalResults` (*type:* `integer()`, *default:* `nil`) - The total number of results for the query, regardless of the number of results in the response.\n*   `username` (*type:* `String.t`, *default:* `nil`) - Email ID of the authenticated user","ref":"GoogleApi.Analytics.V3.Model.RemarketingAudiences.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.RemarketingAudiences.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.RemarketingAudiences.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.RemarketingAudiences.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.RemarketingAudiences.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.Segment","doc":"JSON template for an Analytics segment.","ref":"GoogleApi.Analytics.V3.Model.Segment.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.Segment","doc":"*   `created` (*type:* `DateTime.t`, *default:* `nil`) - Time the segment was created.\n*   `definition` (*type:* `String.t`, *default:* `nil`) - Segment definition.\n*   `id` (*type:* `String.t`, *default:* `nil`) - Segment ID.\n*   `kind` (*type:* `String.t`, *default:* `analytics#segment`) - Resource type for Analytics segment.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Segment name.\n*   `segmentId` (*type:* `String.t`, *default:* `nil`) - Segment ID. Can be used with the 'segment' parameter in Core Reporting API.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - Link for this segment.\n*   `type` (*type:* `String.t`, *default:* `nil`) - Type for a segment. Possible values are \"BUILT_IN\" or \"CUSTOM\".\n*   `updated` (*type:* `DateTime.t`, *default:* `nil`) - Time the segment was last modified.","ref":"GoogleApi.Analytics.V3.Model.Segment.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.Segment.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.Segment.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.Segment.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.Segment.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.Segments","doc":"An segment collection lists Analytics segments that the user has access to. Each resource in the collection corresponds to a single Analytics segment.","ref":"GoogleApi.Analytics.V3.Model.Segments.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.Segments","doc":"*   `items` (*type:* `list(GoogleApi.Analytics.V3.Model.Segment.t)`, *default:* `nil`) - A list of segments.\n*   `itemsPerPage` (*type:* `integer()`, *default:* `nil`) - The maximum number of resources the response can contain, regardless of the actual number of resources returned. Its value ranges from 1 to 1000 with a value of 1000 by default, or otherwise specified by the max-results query parameter.\n*   `kind` (*type:* `String.t`, *default:* `analytics#segments`) - Collection type for segments.\n*   `nextLink` (*type:* `String.t`, *default:* `nil`) - Link to next page for this segment collection.\n*   `previousLink` (*type:* `String.t`, *default:* `nil`) - Link to previous page for this segment collection.\n*   `startIndex` (*type:* `integer()`, *default:* `nil`) - The starting index of the resources, which is 1 by default or otherwise specified by the start-index query parameter.\n*   `totalResults` (*type:* `integer()`, *default:* `nil`) - The total number of results for the query, regardless of the number of results in the response.\n*   `username` (*type:* `String.t`, *default:* `nil`) - Email ID of the authenticated user","ref":"GoogleApi.Analytics.V3.Model.Segments.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.Segments.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.Segments.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.Segments.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.Segments.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.UnsampledReport","doc":"JSON template for Analytics unsampled report resource.","ref":"GoogleApi.Analytics.V3.Model.UnsampledReport.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.UnsampledReport","doc":"*   `accountId` (*type:* `String.t`, *default:* `nil`) - Account ID to which this unsampled report belongs.\n*   `cloudStorageDownloadDetails` (*type:* `GoogleApi.Analytics.V3.Model.UnsampledReportCloudStorageDownloadDetails.t`, *default:* `nil`) - Download details for a file stored in Google Cloud Storage.\n*   `created` (*type:* `DateTime.t`, *default:* `nil`) - Time this unsampled report was created.\n*   `dimensions` (*type:* `String.t`, *default:* `nil`) - The dimensions for the unsampled report.\n*   `downloadType` (*type:* `String.t`, *default:* `nil`) - The type of download you need to use for the report data file. Possible values include `GOOGLE_DRIVE` and `GOOGLE_CLOUD_STORAGE`. If the value is `GOOGLE_DRIVE`, see the `driveDownloadDetails` field. If the value is `GOOGLE_CLOUD_STORAGE`, see the `cloudStorageDownloadDetails` field.\n*   `driveDownloadDetails` (*type:* `GoogleApi.Analytics.V3.Model.UnsampledReportDriveDownloadDetails.t`, *default:* `nil`) - Download details for a file stored in Google Drive.\n*   `end-date` (*type:* `String.t`, *default:* `nil`) - The end date for the unsampled report.\n*   `filters` (*type:* `String.t`, *default:* `nil`) - The filters for the unsampled report.\n*   `id` (*type:* `String.t`, *default:* `nil`) - Unsampled report ID.\n*   `kind` (*type:* `String.t`, *default:* `analytics#unsampledReport`) - Resource type for an Analytics unsampled report.\n*   `metrics` (*type:* `String.t`, *default:* `nil`) - The metrics for the unsampled report.\n*   `profileId` (*type:* `String.t`, *default:* `nil`) - View (Profile) ID to which this unsampled report belongs.\n*   `segment` (*type:* `String.t`, *default:* `nil`) - The segment for the unsampled report.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - Link for this unsampled report.\n*   `start-date` (*type:* `String.t`, *default:* `nil`) - The start date for the unsampled report.\n*   `status` (*type:* `String.t`, *default:* `nil`) - Status of this unsampled report. Possible values are PENDING, COMPLETED, or FAILED.\n*   `title` (*type:* `String.t`, *default:* `nil`) - Title of the unsampled report.\n*   `updated` (*type:* `DateTime.t`, *default:* `nil`) - Time this unsampled report was last modified.\n*   `webPropertyId` (*type:* `String.t`, *default:* `nil`) - Web property ID to which this unsampled report belongs. The web property ID is of the form UA-XXXXX-YY.","ref":"GoogleApi.Analytics.V3.Model.UnsampledReport.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.UnsampledReport.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.UnsampledReport.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.UnsampledReport.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.UnsampledReport.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.UnsampledReportCloudStorageDownloadDetails","doc":"Download details for a file stored in Google Cloud Storage.","ref":"GoogleApi.Analytics.V3.Model.UnsampledReportCloudStorageDownloadDetails.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.UnsampledReportCloudStorageDownloadDetails","doc":"*   `bucketId` (*type:* `String.t`, *default:* `nil`) - Id of the bucket the file object is stored in.\n*   `objectId` (*type:* `String.t`, *default:* `nil`) - Id of the file object containing the report data.","ref":"GoogleApi.Analytics.V3.Model.UnsampledReportCloudStorageDownloadDetails.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.UnsampledReportCloudStorageDownloadDetails.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.UnsampledReportCloudStorageDownloadDetails.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.UnsampledReportCloudStorageDownloadDetails.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.UnsampledReportCloudStorageDownloadDetails.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.UnsampledReportDriveDownloadDetails","doc":"Download details for a file stored in Google Drive.","ref":"GoogleApi.Analytics.V3.Model.UnsampledReportDriveDownloadDetails.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.UnsampledReportDriveDownloadDetails","doc":"*   `documentId` (*type:* `String.t`, *default:* `nil`) - Id of the document/file containing the report data.","ref":"GoogleApi.Analytics.V3.Model.UnsampledReportDriveDownloadDetails.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.UnsampledReportDriveDownloadDetails.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.UnsampledReportDriveDownloadDetails.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.UnsampledReportDriveDownloadDetails.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.UnsampledReportDriveDownloadDetails.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.UnsampledReports","doc":"An unsampled report collection lists Analytics unsampled reports to which the user has access. Each view (profile) can have a set of unsampled reports. Each resource in the unsampled report collection corresponds to a single Analytics unsampled report.","ref":"GoogleApi.Analytics.V3.Model.UnsampledReports.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.UnsampledReports","doc":"*   `items` (*type:* `list(GoogleApi.Analytics.V3.Model.UnsampledReport.t)`, *default:* `nil`) - A list of unsampled reports.\n*   `itemsPerPage` (*type:* `integer()`, *default:* `nil`) - The maximum number of resources the response can contain, regardless of the actual number of resources returned. Its value ranges from 1 to 1000 with a value of 1000 by default, or otherwise specified by the max-results query parameter.\n*   `kind` (*type:* `String.t`, *default:* `analytics#unsampledReports`) - Collection type.\n*   `nextLink` (*type:* `String.t`, *default:* `nil`) - Link to next page for this unsampled report collection.\n*   `previousLink` (*type:* `String.t`, *default:* `nil`) - Link to previous page for this unsampled report collection.\n*   `startIndex` (*type:* `integer()`, *default:* `nil`) - The starting index of the resources, which is 1 by default or otherwise specified by the start-index query parameter.\n*   `totalResults` (*type:* `integer()`, *default:* `nil`) - The total number of results for the query, regardless of the number of resources in the result.\n*   `username` (*type:* `String.t`, *default:* `nil`) - Email ID of the authenticated user","ref":"GoogleApi.Analytics.V3.Model.UnsampledReports.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.UnsampledReports.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.UnsampledReports.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.UnsampledReports.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.UnsampledReports.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.Upload","doc":"Metadata returned for an upload operation.","ref":"GoogleApi.Analytics.V3.Model.Upload.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.Upload","doc":"*   `accountId` (*type:* `String.t`, *default:* `nil`) - Account Id to which this upload belongs.\n*   `customDataSourceId` (*type:* `String.t`, *default:* `nil`) - Custom data source Id to which this data import belongs.\n*   `errors` (*type:* `list(String.t)`, *default:* `nil`) - Data import errors collection.\n*   `id` (*type:* `String.t`, *default:* `nil`) - A unique ID for this upload.\n*   `kind` (*type:* `String.t`, *default:* `analytics#upload`) - Resource type for Analytics upload.\n*   `status` (*type:* `String.t`, *default:* `nil`) - Upload status. Possible values: PENDING, COMPLETED, FAILED, DELETING, DELETED.\n*   `uploadTime` (*type:* `DateTime.t`, *default:* `nil`) - Time this file is uploaded.","ref":"GoogleApi.Analytics.V3.Model.Upload.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.Upload.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.Upload.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.Upload.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.Upload.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.Uploads","doc":"Upload collection lists Analytics uploads to which the user has access. Each custom data source can have a set of uploads. Each resource in the upload collection corresponds to a single Analytics data upload.","ref":"GoogleApi.Analytics.V3.Model.Uploads.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.Uploads","doc":"*   `items` (*type:* `list(GoogleApi.Analytics.V3.Model.Upload.t)`, *default:* `nil`) - A list of uploads.\n*   `itemsPerPage` (*type:* `integer()`, *default:* `nil`) - The maximum number of resources the response can contain, regardless of the actual number of resources returned. Its value ranges from 1 to 1000 with a value of 1000 by default, or otherwise specified by the max-results query parameter.\n*   `kind` (*type:* `String.t`, *default:* `analytics#uploads`) - Collection type.\n*   `nextLink` (*type:* `String.t`, *default:* `nil`) - Link to next page for this upload collection.\n*   `previousLink` (*type:* `String.t`, *default:* `nil`) - Link to previous page for this upload collection.\n*   `startIndex` (*type:* `integer()`, *default:* `nil`) - The starting index of the resources, which is 1 by default or otherwise specified by the start-index query parameter.\n*   `totalResults` (*type:* `integer()`, *default:* `nil`) - The total number of results for the query, regardless of the number of resources in the result.","ref":"GoogleApi.Analytics.V3.Model.Uploads.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.Uploads.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.Uploads.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.Uploads.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.Uploads.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.UserDeletionRequest","doc":"JSON template for a user deletion request resource.","ref":"GoogleApi.Analytics.V3.Model.UserDeletionRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.UserDeletionRequest","doc":"*   `deletionRequestTime` (*type:* `DateTime.t`, *default:* `nil`) - This marks the point in time for which all user data before should be deleted\n*   `firebaseProjectId` (*type:* `String.t`, *default:* `nil`) - Firebase Project Id\n*   `id` (*type:* `GoogleApi.Analytics.V3.Model.UserDeletionRequestId.t`, *default:* `nil`) - User ID.\n*   `kind` (*type:* `String.t`, *default:* `analytics#userDeletionRequest`) - Value is \"analytics#userDeletionRequest\".\n*   `propertyId` (*type:* `String.t`, *default:* `nil`) - Property ID\n*   `webPropertyId` (*type:* `String.t`, *default:* `nil`) - Web property ID of the form UA-XXXXX-YY.","ref":"GoogleApi.Analytics.V3.Model.UserDeletionRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.UserDeletionRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.UserDeletionRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.UserDeletionRequest.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.UserDeletionRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.UserDeletionRequestId","doc":"User ID.","ref":"GoogleApi.Analytics.V3.Model.UserDeletionRequestId.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.UserDeletionRequestId","doc":"*   `type` (*type:* `String.t`, *default:* `nil`) - Type of user\n*   `userId` (*type:* `String.t`, *default:* `nil`) - The User's id","ref":"GoogleApi.Analytics.V3.Model.UserDeletionRequestId.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.UserDeletionRequestId.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.UserDeletionRequestId.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.UserDeletionRequestId.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.UserDeletionRequestId.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.UserRef","doc":"JSON template for a user reference.","ref":"GoogleApi.Analytics.V3.Model.UserRef.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.UserRef","doc":"*   `email` (*type:* `String.t`, *default:* `nil`) - Email ID of this user.\n*   `id` (*type:* `String.t`, *default:* `nil`) - User ID.\n*   `kind` (*type:* `String.t`, *default:* `analytics#userRef`) -","ref":"GoogleApi.Analytics.V3.Model.UserRef.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.UserRef.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.UserRef.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.UserRef.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.UserRef.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.WebPropertyRef","doc":"JSON template for a web property reference.","ref":"GoogleApi.Analytics.V3.Model.WebPropertyRef.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.WebPropertyRef","doc":"*   `accountId` (*type:* `String.t`, *default:* `nil`) - Account ID to which this web property belongs.\n*   `href` (*type:* `String.t`, *default:* `nil`) - Link for this web property.\n*   `id` (*type:* `String.t`, *default:* `nil`) - Web property ID of the form UA-XXXXX-YY.\n*   `internalWebPropertyId` (*type:* `String.t`, *default:* `nil`) - Internal ID for this web property.\n*   `kind` (*type:* `String.t`, *default:* `analytics#webPropertyRef`) - Analytics web property reference.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of this web property.","ref":"GoogleApi.Analytics.V3.Model.WebPropertyRef.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.WebPropertyRef.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.WebPropertyRef.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.WebPropertyRef.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.WebPropertyRef.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.WebPropertySummary","doc":"JSON template for an Analytics WebPropertySummary. WebPropertySummary returns basic information (i.e., summary) for a web property.","ref":"GoogleApi.Analytics.V3.Model.WebPropertySummary.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.WebPropertySummary","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - Web property ID of the form UA-XXXXX-YY.\n*   `internalWebPropertyId` (*type:* `String.t`, *default:* `nil`) - Internal ID for this web property.\n*   `kind` (*type:* `String.t`, *default:* `analytics#webPropertySummary`) - Resource type for Analytics WebPropertySummary.\n*   `level` (*type:* `String.t`, *default:* `nil`) - Level for this web property. Possible values are STANDARD or PREMIUM.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Web property name.\n*   `profiles` (*type:* `list(GoogleApi.Analytics.V3.Model.ProfileSummary.t)`, *default:* `nil`) - List of profiles under this web property.\n*   `starred` (*type:* `boolean()`, *default:* `nil`) - Indicates whether this web property is starred or not.\n*   `websiteUrl` (*type:* `String.t`, *default:* `nil`) - Website url for this web property.","ref":"GoogleApi.Analytics.V3.Model.WebPropertySummary.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.WebPropertySummary.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.WebPropertySummary.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.WebPropertySummary.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.WebPropertySummary.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.Webproperties","doc":"A web property collection lists Analytics web properties to which the user has access. Each resource in the collection corresponds to a single Analytics web property.","ref":"GoogleApi.Analytics.V3.Model.Webproperties.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.Webproperties","doc":"*   `items` (*type:* `list(GoogleApi.Analytics.V3.Model.Webproperty.t)`, *default:* `nil`) - A list of web properties.\n*   `itemsPerPage` (*type:* `integer()`, *default:* `nil`) - The maximum number of resources the response can contain, regardless of the actual number of resources returned. Its value ranges from 1 to 1000 with a value of 1000 by default, or otherwise specified by the max-results query parameter.\n*   `kind` (*type:* `String.t`, *default:* `analytics#webproperties`) - Collection type.\n*   `nextLink` (*type:* `String.t`, *default:* `nil`) - Link to next page for this web property collection.\n*   `previousLink` (*type:* `String.t`, *default:* `nil`) - Link to previous page for this web property collection.\n*   `startIndex` (*type:* `integer()`, *default:* `nil`) - The starting index of the resources, which is 1 by default or otherwise specified by the start-index query parameter.\n*   `totalResults` (*type:* `integer()`, *default:* `nil`) - The total number of results for the query, regardless of the number of results in the response.\n*   `username` (*type:* `String.t`, *default:* `nil`) - Email ID of the authenticated user","ref":"GoogleApi.Analytics.V3.Model.Webproperties.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.Webproperties.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.Webproperties.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.Webproperties.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.Webproperties.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.Webproperty","doc":"JSON template for an Analytics web property.","ref":"GoogleApi.Analytics.V3.Model.Webproperty.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.Webproperty","doc":"*   `accountId` (*type:* `String.t`, *default:* `nil`) - Account ID to which this web property belongs.\n*   `childLink` (*type:* `GoogleApi.Analytics.V3.Model.WebpropertyChildLink.t`, *default:* `nil`) - Child link for this web property. Points to the list of views (profiles) for this web property.\n*   `created` (*type:* `DateTime.t`, *default:* `nil`) - Time this web property was created.\n*   `dataRetentionResetOnNewActivity` (*type:* `boolean()`, *default:* `nil`) - Set to true to reset the retention period of the user identifier with each new event from that user (thus setting the expiration date to current time plus retention period).\n    Set to false to delete data associated with the user identifier automatically after the rentention period.\n    This property cannot be set on insert.\n*   `dataRetentionTtl` (*type:* `String.t`, *default:* `nil`) - The length of time for which user and event data is retained.\n    This property cannot be set on insert.\n*   `defaultProfileId` (*type:* `String.t`, *default:* `nil`) - Default view (profile) ID.\n*   `id` (*type:* `String.t`, *default:* `nil`) - Web property ID of the form UA-XXXXX-YY.\n*   `industryVertical` (*type:* `String.t`, *default:* `nil`) - The industry vertical/category selected for this web property.\n*   `internalWebPropertyId` (*type:* `String.t`, *default:* `nil`) - Internal ID for this web property.\n*   `kind` (*type:* `String.t`, *default:* `analytics#webproperty`) - Resource type for Analytics WebProperty.\n*   `level` (*type:* `String.t`, *default:* `nil`) - Level for this web property. Possible values are STANDARD or PREMIUM.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of this web property.\n*   `parentLink` (*type:* `GoogleApi.Analytics.V3.Model.WebpropertyParentLink.t`, *default:* `nil`) - Parent link for this web property. Points to the account to which this web property belongs.\n*   `permissions` (*type:* `GoogleApi.Analytics.V3.Model.WebpropertyPermissions.t`, *default:* `nil`) - Permissions the user has for this web property.\n*   `profileCount` (*type:* `integer()`, *default:* `nil`) - View (Profile) count for this web property.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - Link for this web property.\n*   `starred` (*type:* `boolean()`, *default:* `nil`) - Indicates whether this web property is starred or not.\n*   `updated` (*type:* `DateTime.t`, *default:* `nil`) - Time this web property was last modified.\n*   `websiteUrl` (*type:* `String.t`, *default:* `nil`) - Website url for this web property.","ref":"GoogleApi.Analytics.V3.Model.Webproperty.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.Webproperty.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.Webproperty.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.Webproperty.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.Webproperty.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.WebpropertyChildLink","doc":"Child link for this web property. Points to the list of views (profiles) for this web property.","ref":"GoogleApi.Analytics.V3.Model.WebpropertyChildLink.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.WebpropertyChildLink","doc":"*   `href` (*type:* `String.t`, *default:* `nil`) - Link to the list of views (profiles) for this web property.\n*   `type` (*type:* `String.t`, *default:* `analytics#profiles`) - Type of the parent link. Its value is \"analytics#profiles\".","ref":"GoogleApi.Analytics.V3.Model.WebpropertyChildLink.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.WebpropertyChildLink.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.WebpropertyChildLink.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.WebpropertyChildLink.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.WebpropertyChildLink.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.WebpropertyParentLink","doc":"Parent link for this web property. Points to the account to which this web property belongs.","ref":"GoogleApi.Analytics.V3.Model.WebpropertyParentLink.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.WebpropertyParentLink","doc":"*   `href` (*type:* `String.t`, *default:* `nil`) - Link to the account for this web property.\n*   `type` (*type:* `String.t`, *default:* `analytics#account`) - Type of the parent link. Its value is \"analytics#account\".","ref":"GoogleApi.Analytics.V3.Model.WebpropertyParentLink.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.WebpropertyParentLink.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.WebpropertyParentLink.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.WebpropertyParentLink.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.WebpropertyParentLink.html#t:t/0"},{"type":"module","title":"GoogleApi.Analytics.V3.Model.WebpropertyPermissions","doc":"Permissions the user has for this web property.","ref":"GoogleApi.Analytics.V3.Model.WebpropertyPermissions.html"},{"type":"module","title":"Attributes - GoogleApi.Analytics.V3.Model.WebpropertyPermissions","doc":"*   `effective` (*type:* `list(String.t)`, *default:* `nil`) - All the permissions that the user has for this web property. These include any implied permissions (e.g., EDIT implies VIEW) or inherited permissions from the parent account.","ref":"GoogleApi.Analytics.V3.Model.WebpropertyPermissions.html#module-attributes"},{"type":"function","title":"GoogleApi.Analytics.V3.Model.WebpropertyPermissions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Analytics.V3.Model.WebpropertyPermissions.html#decode/2"},{"type":"type","title":"GoogleApi.Analytics.V3.Model.WebpropertyPermissions.t/0","doc":"","ref":"GoogleApi.Analytics.V3.Model.WebpropertyPermissions.html#t:t/0"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}